<?php
/**
 * Bulk images update
 */

	if (!defined("ENV")) exit();

	pageHeader("Bulk Image Loader", "", "ic_images_loader.gif");

	$images_count = $settings["CatalogLoaderImages"];
	$step = isset($step)?$step*1:1;
	$step = in_array($step, array(1,2))?$step:1;
	switch ($step)
	{
/////////////////////////
// STEP 1: SHOW LOAD FORM
		case 1 : 
		{
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"This section will allow you to add images to products already existing in your shopping cart.<br/>Please note, the file names need to be EXACLTY the same as the Product ID for ".$label_app_name." to match the image with the product.<br/>Example, if the Product ID is my_bike, the image name must be my_bike.jpg or my_bike.gif.", "url"=>"", "visible"=>true),
				array("icon"=>"ic_hint.gif", "text"=>"<b>Please note: only .jpg, .png and .gif will be accepted.</b>", "url"=>"", "visible"=>true),
			));
			pageTabs(array(
				array("title"=>"Image Loader", "id"=>"Main", "active"=>true, "width"=>140),
			));
?>
<form action="admin.php?p=bulk_images" enctype="multipart/form-data" method="post">
	<input type="hidden" name="step" value="2">
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_images_loader.gif"></div>
				<div class="formHeaderText">Choose Image to Upload</div>
			</td>
		</tr>

<?			for($i=0; $i < $images_count; $i++){?>
		<tr>
			<td class="formItemCaption">Image #<?=($i+1)?> :</td>
			<td class="formItemControl">
				<input type="file" name="image[]" style="width:250px;">
			</td>
		</tr>
<?			}?>
	</table>
</div>
<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp;
	<input type="image" src="images/admin/bt_reset_form.gif" onClick="frmCategory.reset();return false;">
</div>
</form>
<?
			break;
		}
		case 2 : 
		{
/////////////////////////
// STEP 2 : LOAD IMAGES
			pageNote(array(
				array("icon"=>"ic_import.gif", "text"=>"Click here to upload images again", "url"=>"", "visible"=>true, "url"=>"admin.php?p=bulk_images")
			));
?>
<div class="listHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption">Images Loading Results</div>
</div>
<?			$counter = 0;
			for ($i=0; $i<$images_count; $i++)
			{
				$message = "<i>File was not uploaded.</i>";
				if (!empty($_FILES["image"]["tmp_name"][$i]))
				{
					//check is image type correct
					$image_data = @getImageSize($_FILES["image"]["tmp_name"][$i]);
					if ($image_data && in_array($image_data[2], $imageTypes))
					{
						$file_data = pathinfo($_FILES["image"]["name"][$i]);
						$product_id = strtolower(trim(substr($file_data["basename"], 0, strlen($file_data["basename"]) - strlen($file_data["extension"]) - 1)));
						for ($k=0; $k<strlen($product_id); $k++)
						{
							if(in_array($product_id[$k], array("\\", "/", "*", ":", "?", "<", ">", "|", '"', "'")))$product_id[$k] = "%";
						}

						$db->query("SELECT * FROM ".DB_PREFIX."products WHERE product_id LIKE '".$db->escape($product_id)."'");

						if (($product = $db->moveNext()) != false)
						{
							$pid = $product["pid"];
							$destination = $product_images_dir."/".imageFileName($product_id).".";
							//remove existing image & thumbs
							@unlink($destination."jpg");
							@unlink($destination."png");
							@unlink($destination."gif");
							@unlink($product_thumbs_dir."/".imageFileName($product_id).".jpg");
							//add new fil extension
							switch ($image_data[2])
							{
								case IMAGETYPE_GIF: $destination.="gif"; break;
								case IMAGETYPE_JPEG: $destination.="jpg"; break;
								case IMAGETYPE_PNG: $destination.="png"; break;
							}
							if (@copy($_FILES["image"]["tmp_name"][$i], $destination))
							{
								$counter++;
								//in case of JPG and PNG image generate thumb
								if (!DEMO_LOCK)
								{
									if (in_array($image_data[2], array(IMAGETYPE_JPEG, IMAGETYPE_PNG)))
									{
										getImageThumb($destination, $product_thumbs_dir."/".imageFileName($product_id).".jpg", $settings["CatalogThumbSize"], $settings["CatalogThumbType"], $error);
									}
									$db->query("UPDATE ".DB_PREFIX."products SET image_url='', image_location='Local' WHERE pid='".$pid."'");
								}
								$message = "<b>".$_FILES["image"]["name"][$i]." - File has been successfully uploaded.</b><br>Product Name: ".gs($product["title"])."<br>Image Dimensions: ".$image_data["0"]."x".$image_data["1"]."<br>File Size: ".number_format($_FILES["image"]["size"][$i]/1024, 2, ".", ",")." KB";
							}
							else
							{
								$message = "<font color=red>".$_FILES["image"]["name"][$i]." - Can't copy file to the destination folder. Please check free space and permissions.</font>";
							}
						}
						else
						{
							$message = "<font color=red>".$_FILES["image"]["name"][$i]." - Can't assign image with product by Product ID.</font>";
						}
					}
					else
					{
						$message = "<font color=red>".$_FILES["image"]["name"][$i]." - Incorrect image type: ".$_FILES["image"]["type"][$i].".</font>";
					}
				}
?>
<div class="listItem">
	<div class="listItemIcon"><img src="images/icons/ic_images_loader.gif"/></div>
	<div class="listItemText" style="width:120px;">Image #<?=$i+1?></div>
	<div class="listItemText" style="width:300px;"><?=$message?></div>
</div>
<?
			}
			pageNote(array(
				array("icon"=>"ic_import.gif", "text"=>"Images loaded : <b>".$counter."</b>", "url"=>"", "visible"=>true)
			));
			pageWhat(array(
				array("icon"=>"ic_jpg.gif", "text"=>"Load Images Again", "url"=>"admin.php?p=bulk_images"),
				array("icon"=>"ic_product.gif", "text"=>"Browse Products", "url"=>"admin.php?p=products")
			));
			break;
		}
	}
?>
