<?php
/**
 * Bulk uploader step 2
 */

	if (!defined("ENV")) exit();
	
	//print_r($_FILES);
	
	$is_error = false;
	$file_path_info = pathinfo($_FILES["bulk"]["name"]);
	
	// check is file is really CSV file
	if($_FILES["bulk"]["name"] == "" || strtolower($file_path_info["extension"]) != "csv"){
		$is_error = true;
		$error_message = "Please choose .CSV file with products";
	}
	else{
		// open temporary file
		$f = @fopen($_FILES["bulk"]["tmp_name"], "r");
		if(!$f){
			$is_error = true;
			$error_message = "Can't open file with products!";
		}
		else{
			// check is primary category selected
			$db->query("SELECT * FROM ".DB_PREFIX."catalog WHERE cid='".$cid."'");
			if (($category = $db->moveNext()) == false)
			{
				$is_error = true;
				$error_message = "Incorrect category ID";
			}
			else
			{
				$cat_name = $category["name"];
				// load CSV file
				$lines = array();
				$max_fields = 0;
				while($line = fgetcsv($f, 4096, $fields_separator)){
					$max_fields = $max_fields > count($line)?$max_fields:count($line);
					$lines[] = $line;
				}
				fclose($f);
				// move uplaoded file to a temporary folder
				$tmp_file_name =  md5(uniqid(rand(),1));
				if(!copy($_FILES["bulk"]["tmp_name"], "content/cache/tmp/".$tmp_file_name)){
					$is_error = true;
					$error_message = "Can not save temporary file. Please check free space and permissions.";
				}
				else{
					pageNote(array(
						array("icon"=>"ic_import.gif", "text"=>
							"Uploaded file name : <b>".$_FILES["bulk"]["name"]."</b><br>".
							"Total lines : <b>".count($lines)."</b><br>".
							"Displayed : <b>First ".(($lines<10)?$lines:10)." lines</b><br>".
							"Products category : <b>".$cat_name."</b><br>".
							"Data loging rule : <b>".$update_rule."</b>",
							"url"=>"", "visible"=>true
						),
						array("icon"=>"ic_hint.gif", "text"=>"<b>Please make sure so data is loaded correctly!</b>", "url"=>"", "visible"=>true),
						array("icon"=>"ic_hint.gif", "text"=>"Please note : all blank lines and lines with wrong price will be skipped. Required fields are Product ID, Name and Price", "url"=>"", "visible"=>true)
					));
					loadJS("bulkloader.js");
					pageTabs(array(
						array("title"=>"Bulk Uploading - Step 2", "id"=>"Main", "active"=>true, "width"=>140),
					));
?>
<form action="admin.php?p=bulk_products" method="post" onSubmit="return checkAssignForm(this)">
	<input type="hidden" name="step" value="3">
	<input type="hidden" name="file_name" value="<?=$tmp_file_name?>">
	<input type="hidden" name="cid" value="<?=$cid?>">
	<input type="hidden" name="make_products_visible" value="<?=$make_products_visible?>">
	<input type="hidden" name="fields_separator" value="<?=$fields_separator?>">
	<input type="hidden" name="update_rule" value="<?=$update_rule?>">
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_import.gif"></div>
				<div class="formHeaderText">Assign Fields with Data</div>
			</td>
		</tr>
	</table>
	<table width="100%" cellpadding="5" cellspacing="0" border="0">
		<tr>
			<td class="formListHeaderIcon">&nbsp;</td>
			<td class="formListHeaderCaption" style="width:160px;"><b>Select Field</b></td>
			<td class="formListHeaderCaption" style="width:135px;"><b>CSV Line 1</b></td>
			<td class="formListHeaderCaption" style="width:135px;"><b>CSV Line 2</b></td>
			<td class="formListHeaderCaption" style="width:135px;"><b>CSV Line 3</b></td>
			<td class="formListHeaderCaption" style="width:135px;"><b>CSV Line 4</b></td>
			<td class="formListHeaderCaption">&nbsp;</td>
		</tr>
<?	
					for($i=0; $i<$max_fields; $i++){
						echo '<tr>';
							echo '<td class="formListItemIcon">&nbsp;</td>';
							echo '<td class="formListItemText" style="width:160px;">';
								echo '<select name="fields['.$i.']" style="font-size:12px;font-family:Arial Narrow">';
								reset($fields_names);
								while(list($fname, $farray) = each($fields_names)){
									echo '<option value="'.$fname.'" '.($farray[2]?'style="color:red"':'').'>'.gs($farray[0]).'</option>';
								}
								echo '</select>';
							echo '</td>';
							
							for($j=0;(($j < count($lines)) && ($j < 4)); $j++){
								echo '<td onMouseOver="showDiv(\'div'.($i."_".$j).'\', this)" onMouseOut="hideDiv(\'div'.($i."_".$j).'\', this)" style="border-bottom:1px solid #e0e0e0;width:135px;">';
								if(isset($lines[$j][$i])) echo $j<count($lines[$j])?(is_numeric(trim($lines[$j][$i]))?($lines[$j][$i]):(htmlspecialchars(substr($lines[$j][$i], 0, 30)).(strlen($lines[$j][$i])>30?"...":""))):"&nbsp;";
								echo $j<count($lines[$j])?('<div id="div'.($i."_".$j).'" style="width:200px;border:1px solid black;padding:5px;background-color:#F7F7FF;display:none;position:absolute;">'.htmlspecialchars(isset($lines[$j][$i]) ? $lines[$j][$i] : "** EMPTY **").'</div>'):"&nbsp;";
								echo "&nbsp;</td>";
							}
						echo '<td class="formListItemText">&nbsp;</td>';
						echo '</tr>';
					}
?>
	</table>
</div>
<div class="formButtons">
	<input type="image" src="images/admin/bt_insert_db.gif"> &nbsp;
	<input type="image" onClick="history.back();return false;" src="images/admin/bt_back.gif">
</div>
</form>
<?				}
			}
		}
	}
	if($is_error){
		pageNote(array(
			array("icon"=>"ic_error.gif", "text"=>"<b>".$error_message."</b><br/><br/><br/>".'<input type="image" src="images/admin/bt_back.gif" onClick="javascript:history.back();return false;">', "url"=>"", "visible"=>true)
		));
	}
?>