<?php
	if (!defined("ENV")) exit();
	$mode = isset($mode)?trim($mode):"insert";
	$eid = isset($eid)?$eid*1:0;
	$step = isset($step)?$step*1:1;
	$step = in_array($step, array(1,2,3))?$step:1;

	$skin_name = $settings["DesignSkinName"];

	$hint_texts = array(
		1=>	"You can insert HTML and text versions of your Newsletter. Step two will allow you to preview the message you have created before it is sent.<br/>Adding a top (header) and bottom (footer) to the Newsletter will improve its appearance. To create the top and bottom click on the link in the left hand navigation.",
		2=> "Please review both the HTML and TEXT versions of your newsletter.<br>".
			"To make changes, please select \"Edit email\" below."
	);
	pageHeader("Newsletter Email Wizard", "step ".$step." of 3", "ic_mail_wizard.gif");
	if($step < 3){
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>$hint_texts[$step], "url"=>"", "visible"=>true),
		));
	}

	loadJS("cf_email.js");

	if ($step < 3)
	{
		pageTabs(array(
			array("title"=>"Newsletter Email", "id"=>"Main", "active"=>true, "width"=>140),
		));
?>
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
<table width="100%" cellpadding="0" cellspacing="5" border="0">
<?	}
	switch($step)
	{
		case 1 :
		{
			//////////////////////////
			// EDIT EMAILS
			$body_html = readTemplateFile("templates/emails/newsletter_body_html.html");
			$body_text = readTemplateFile("templates/emails/newsletter_body_text.html");
			if ($mode=="insert")
			{
				$from_name = "";//$auth_admin_name;
				$from_email = "";//$auth_admin_email;
				$subject = "";//$settings["CompanyName"].": Newsletter!";
			}
			else{
				$db->query("SELECT * FROM ".DB_PREFIX."emails_archive WHERE eid='".$eid."'");
				if ($db->moveNext())
				{
					$from_name = $db->col["from_name"];
					$from_email = $db->col["from_email"];
					$subject = $db->col["subject"];
				}
			}
?>
<form name="frmEmail" action="admin.php?p=email_newsletter&step=2&hidemenus=true" method="post" onSubmit="return checkEmailForm(this)">
	<input type="hidden" name="eid" value="<?=$eid?>">
	<input type="hidden" name="mode" value="<?=$mode?>">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_email.gif"/></div>
			<div class="formHeaderText">Newsletter Email Properties</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption"><b>Subject</b></td>
		<td class="formItemControl"><input style="width:250px;" type="text" name="subject" value="<?=htmlspecialchars($subject)?>"></td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption"><b>From Name</b></td>
		<td class="formItemControl"><input style="width:250px;" type="text" name="from_name" value="<?=htmlspecialchars($from_name)?>"></td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption"><b>From Email</b></td>
		<td class="formItemControl"><input style="width:250px;" type="text" name="from_email" value="<?=htmlspecialchars($from_email)?>"></td>
	</tr>
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"/></div>
			<div class="formHeaderText">Content for HTML Email [ <a href="javascript:toggleEditorMode('body_html',this)">Edit HTML Online</a> ]</div>
		</td>
	</tr>
	<tr>
		<td class="formItemBig" colspan="2">
			<textarea wrap="off" cols="50" rows="8" style="width:100%;height:150px;" id="body_html" class="no-mce" name="body_html"><?=htmlspecialchars($body_html)?></textarea>
		</td>
	</tr>
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"/></div>
			<div class="formHeaderText">Content for Text Email</div>
		</td>
	</tr>
	<tr>
		<td class="formItemBig" colspan="2">
			<textarea class="no-mce" wrap="off" cols="50" class="no-mce" rows="8" style="width:100%;height:150px;" name="body_text"><?=htmlspecialchars($body_text)?></textarea>
		</td>
	</tr>
	<tr><td class="formButtons" colspan="2"><input type="image" src="images/admin/bt_preview_email.gif"></td></tr>
<?
			break;
		}
		case 2 : {
			//////////////////////////////
			// GENERATE EMAIL USE Smarty

			$action = isset($action)?trim($action):"";
			$eid = isset($eid)?$eid:0;

			if ($action == "test_email")
			{
				$db->query("SELECT * FROM ".DB_PREFIX."emails_archive WHERE eid='".intval($eid)."'");
				if ($db->moveNext())
				{
					$test_email = isset($test_email)?trim($test_email):"";
					require_once("content/engine/engine_notifications.php");

					$content_text = trim($db->col["content_text"]);
					$content_html = trim($db->col["content_html"]);
					$from_email = trim($db->col["from_email"]);
					$from_name = trim($db->col["from_name"]);
					$subject = trim($db->col["subject"]);

					if ($content_text != "")
					{
						send_mail($test_email, $subject, $content_text, $from_name." <".$from_email.">", "text");
					}
					if ($content_html != "")
					{
						send_mail($test_email, $subject, $content_html, $from_name." <".$from_email.">", "html");
					}
				}
			}
			else
			{
				//save body templates
				if(
					(!writeTemplateFile("templates/emails/newsletter_body_html.html", $body_html) && strlen(trim($body_html)) > 0) ||
					(!writeTemplateFile("templates/emails/newsletter_body_text.html", $body_text) && strlen(trim($body_text)) > 0)
				){?>
	<tr><td class="th"><img src="images/icons/ic_error.gif" align="left" hspace="6">&nbsp;<b>Error Saving Emails</b></td></tr>
	<tr>
		<td height="70" style="padding-left:31px;">
			<span style="color:#990000;">
				<b>
					Please Note: Changes are not saved! Please check files write permissions and click "Back"<br>
					button in your browser! Unsaved files are:
				</b><br>
				- content/skins/<?=$skin_name?>/templates/emails/newsletter_body_html.html<br>
				- content/skins/<?=$skin_name?>/templates/emails/newsletter_body_text.html<br>
			</span>
		</td>
	</tr>
<?				}

				require("content/admin/admin_init_smarty.php");

				view()->assign("EmailTitle", "Newsletter");

				//get email HTML & TEXTs
				if (strlen(trim($body_html)) > 0)
				{
					$email_html = view()->fetch("templates/emails/newsletter_html.html");
				}

				if (strlen(trim($body_text)) > 0)
				{
					$email_text = view()->fetch("templates/emails/newsletter_text.html");
				}
				$db->reset();
				$db->assignStr("sent", "No");
				$db->assignStr("type", "newsletter");
				$db->assignStr("subject", $subject);
				$db->assignStr("content_html", $email_html);
				$db->assignStr("content_text", $email_text);
				$db->assignStr("from_name", $from_name);
				$db->assignStr("from_email", $from_email);
				if($mode == "update"){
					$db->update(DB_PREFIX."emails_archive", "WHERE eid='".$eid."'");
				}
				else{
					$eid = $db->insert(DB_PREFIX."emails_archive");
				}
			}
?>
	<tr>
		<td class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_message.gif"/></div>
			<div class="formHeaderText">HTML Email</div>
		</td>
	</tr>
	<tr>
		<td align="center" height="250" class="formItemBig">
			<iframe width="100%" height="230" src="admin.php?p=email_preview&eid=<?=$eid?>&mode=html&chart"></iframe>
		</td>
	</tr>
	<tr>
		<td class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_message.gif"/></div>
			<div class="formHeaderText">Text Email</div>
		</td>
	</tr>
	<tr>
		<td align="center" height="250" class="formItemBig">
			<iframe width="100%" height="230" src="admin.php?p=email_preview&eid=<?=$eid?>&mode=text&chart"></iframe>
		</td>
	</tr>
</table>
<table cellpading="0" cellspacing="5" border="0" width="100%">
	<form name="frmEmail" action="admin.php?p=email_newsletter&step=2&hidemenus=true" method="post">
	<input type="hidden" name="action" value="test_email">
	<input type="hidden" name="eid" value="<?=$eid?>">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_message.gif"/></div>
			<div class="formHeaderText">Send Test Email</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption" style="padding-top:10px;">Test Email Address</td>
		<td class="formItemControl">
			<div style="float:left;width:255px;padding-top:3px;"><input type="text" name="test_email" value="<?=htmlspecialchars(isset($test_email)?$test_email:$auth_admin_email)?>" style="width:250px;"></div>
			<div style="float:left;width:120px;"><input type="image" src="images/admin/bt_send_test_email.gif"></div>
		</td>
	</tr>
	</form>
	<form name="frmEmail" action="admin.php?p=email_newsletter&step=3" method="post" onSubmit="return confirmSendEmailNewsletters()">
	<tr>
		<td class="formButtons" colspan="2">
			<input type="hidden" name="eid" value="<?=$eid?>">
			<img style="cursor:hand;" src="images/admin/bt_edit_email.gif" onClick="document.location='admin.php?p=email_newsletter&step=1&mode=update&eid=<?=$eid?>'"> &nbsp;
			<input type="image" src="images/admin/bt_send_email.gif">
		</td>
	</tr>
<?			break;
		}
		case 3 : {
			////////////////////////////////////////////////
			// SEND EMAILS
			$db->query("SELECT * FROM ".DB_PREFIX."emails_archive WHERE eid='".$eid."' AND sent='No'");
			if($db->moveNext()){
				require_once("content/engine/engine_notifications.php");

				$content_text = trim($db->col["content_text"]);
				$content_html = trim($db->col["content_html"]);
				$from_email = trim($db->col["from_email"]);
				$from_name = trim($db->col["from_name"]);
				$subject = trim($db->col["subject"]);

	            $uc = 0;
				$sc = 0;
				$db->query("
						SELECT email, email_mode, email_type FROM (
							SELECT email, email_mode, 'registered' as email_type
							FROM ".DB_PREFIX."users
							WHERE newsletters='Yes'

							UNION ALL

							SELECT email, email_mode, 'subscriber' as email_type
							FROM ".DB_PREFIX."emails
							WHERE newsletters='Yes'
							AND dead='No'
						) as t
						GROUP BY t.email
				");

				if( !ini_get('safe_mode') )
	        			set_time_limit(3000);

				//$content_text_users = str_replace($unsubscr_sample, $unsubscr_users_text, $content_text);
				//$content_html_users = str_replace($unsubscr_sample, $unsubscr_users_html, $content_html);
				if(!DEMO_LOCK){
					while($db->moveNext()){
						if($content_text != "")
						{
							if($db->col["email_mode"] == "text"){
								send_mail($db->col["email"], $subject, $content_text, $from_name." <".$from_email.">", "text");
							}
							else{
								send_mail($db->col["email"], $subject, $content_html, $from_name." <".$from_email.">", "html");
							}

							if ($db->col['email_type'] == 'registered')
							{
								$uc++;
							} else {
								$sc++;
							}
						}
					}
				}


				// done
				$db->query("UPDATE ".DB_PREFIX."emails_archive SET sent='Yes', sent_at=NOW() WHERE eid='".$eid."'");
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<b>Newsletter Email has been successfully sent</b>", "url"=>"", "visible"=>true),
					array("icon"=>"ic_hint.gif", "text"=>"You have sent your newsletter to ".$uc." registered user(s) and ".$sc." emails to unregistered subscriber(s)", "url"=>"", "visible"=>true)
				));
				pageWhat(array(
					array("text"=>"Browse Emails Archive", "url"=>"admin.php?p=email_archive"),
					array("text"=>"Send Newsletter email again", "url"=>"admin.php?p=email_newsletter")
				));
			}
			else{
				pageNote(array(
					array("icon"=>"ic_error.gif", "text"=>"<b>This email already sent</b>", "url"=>"", "visible"=>true)
				));
				pageWhat(array(
					array("text"=>"Browse Emails Archive", "url"=>"admin.php?p=email_archive"),
					array("text"=>"Send Newsletter Email again", "url"=>"admin.php?p=email_newsletter")
				));
			}
		}
	}
	if($step < 3){
?>
	</form>
</table>
</div>
<?	}?>
