<?php
	if (!defined("ENV")) exit();
    unset($msg_alert);// Alert message array
	pageHeader("Payment Methods", "Quick Setup", "ic_payment.gif");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"Use this section to select and create payment methods for your website to process your customer's purchases. The real-time section will require you to set up an account with the listed Processors and Gateways.", "url"=>"", "visible"=>true),
		array("icon"=>"ic_insert_row.gif", "text"=>"<b>Add a New Custom Payment Method</b>", "url"=>"admin.php?p=payment_method&mode=insert", "visible"=>true),
        array("icon"=>"ic_centinel.gif", "text"=>"<b>Setup Cardinal Centinel Module</b>", "url"=>"admin.php?p=payment_cardinal", "visible"=>true),
		
	));
	loadjs("payment.js");
	
	$last_active_tab = isset($last_active_tab)?trim($last_active_tab):"idTabPaymentSettings";
	pageTabs(array(
		array("title"=>"Payment Methods", "id"=>"PaymentSettings", "active"=>$last_active_tab == "idTabPaymentSettings", "width"=>90),
		array("title"=>"Active Payment Gateways", "id"=>"PaymentActive", "active"=>$last_active_tab == "idTabPaymentActive", "width"=>140),
		array("title"=>"Signup For a Payment Processing Account", "id"=>"MerchantSignup", "active"=>$last_active_tab == "idTabMerchantSignup", "width"=>205, "visible"=>true),
	));
	
	require_once("content/admin/admin_merchant_signup.php");
	
	$action = isset($action)?trim($action):"";
	if ($action == "update")
	{
		$priority = isset($priority)?$priority:array();
		reset($priority);
		foreach ($priority as $pid=>$value)
		{
			$db->reset();
			$db->assignStr("priority", $priority[$pid]);
			$db->update(DB_PREFIX."payment_methods", "WHERE pid='".$pid."'");
		}
		$msg_alert[]= "Payment Methods settings have been successfully updated.";
	}

	if (isset($msg_alert))
	{
		foreach ($msg_alert as $key => $val)
		{
			if (strlen($val)>0)
			{
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<span style=\"color:#990000\"><b>$val</b></a>", "url"=>"", "visible"=>true)
				));
			}
		}
	}		
?>
	<div id="idTabSheetPaymentSettings" class="<?=$last_active_tab == "idTabPaymentSettings"?"sheetActive":"sheetUnactive"?>">
		<form id="frmActivatePayPal" action="admin.php?p=payment_method&mode=update" method="post">
			<input type="hidden" name="action" value="enable"/>
			<input type="hidden" name="last_active_tab" value="idTabPaymentSettings"/>
			<input type="hidden" name="pid"/>
		</form>
		<form id="frmActivateGateway" action="admin.php?p=payment_method&mode=update" method="post">
			<input type="hidden" name="action" value="enable">
			<input type="hidden" name="last_active_tab" value="idTabPaymentSettings">
			<table width="100%" cellpadding="0" cellspacing="5" border="0">
				<tr>
					<td class="formHeader" colspan="2">
						<div class="formHeaderIcon"><img src="images/icons/ic_insert_row.gif"/></div>
						<div class="formHeaderText">Set-up credit card processing</div>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<input type="radio" name="activateChoises" id="activateChoisePayPal" checked="true" value="paypal"/>
						<label for="activateChoisePayPal" style="font-weight:bold;">Accept credit cards and PayPal</label><br/>
						<div style="margin:24px 0px 0px 24px;"><img src="images/admin/creditcard-paypal.png"/></div>
					</td>
				</tr>
				<tr class="paypalGatewaysOptions">
					<td colspan="2">
						<div style="padding:20px;margin-bottom:20px;">
							Choose the solution to accept credit cards and PayPal<br/><br/>
							<div style="width:370px;height:380px;float:left;border:1px solid gray;">
								<div style="padding:10px;">
									<h5 style="margin:0px;margin-bottom:10px;font-size:120%;">PayPal Website Payments Standard</h5>
									<div style="padding:10px;background:#eeeeee;">
										Easy to get started, no monthly fee<br/> 
										(<a target="_blank" href="http://www.paypal-marketing.com/html/partner/portal/standard.html">view demo</a>)
									</div>
									<div style="padding:10px;">
										<div style="height:140px;">
											<ul style="margin:0px;margin-bottom:50px;padding:5px 20px;">
												<li>Accept Visa, MC, AMEX, PayPal and more at one low rate</li>
												<li>Buyers enter in credit card details on secure PayPal pages</li>
												<li>No credit application required to start selling</li>
											</ul>
										</div>
										<div style="height:100px;">
											<u>Pricing</u>
											<ul style="margin:0px;padding:5px 20px;">
												<li>No monthly fee</li>
												<li>No set-up, cancellation or hidden fees</li>
												<li>Transaction fees: 1.9% - 2.9% + $0.30 USD<br/>
													(based on sales volume)<br/>
													<!--<a target="_blank" href="http://www.paypal-marketing.com/html/partner/portal/standard.html">see quick demo</a> -->
												</li>
											</ul>
										</div>
										<div style="padding:10px;text-align:center;"><input type="button" id="buttonActivatePaypalStandard" value="Set up"/></div>
									</div>
								</div>
							</div>
							<div style="width:370px;height:380px;float:left;margin-left:10px;border:1px solid gray;">
								<div style="padding:10px;">
									<h5 style="margin:0px;margin-bottom:10px;font-size:120%;">PayPal Website Payments Pro</h5>
									<div style="padding:10px;background:#eeeeee;">
										Advanced e-commerce solution for established merchants<br/>
										(<a target="_blank" href="https://www.paypal-marketing.com/html/partner/portal/paymentspro.html">view demo</a>)
									</div>
									<div style="padding:10px;">
										<div style="height:140px;">
											<ul style="margin:0px;padding:5px 20px;">
												<li>Accept Visa, MC, Amex, Discover, PayPal and more at one low rate</li>
												<li>Buyers enter credit card info directly on your site</li>
												<li>Fully customize your buyers shopping experience</li>
												<li>Include Virtual terminal-accepted payments for orders taken via phone, fax and mail</li>
												<li>Business credit application required to start selling</li>
											</ul>
										</div>
										
										<div style="height:100px;">
											<u>Pricing</u>
											<ul style="margin:0px;padding:5px 20px;">
												<li>$30/month</li>
												<li>No set-up, cancellation or hidden fees</li>
												<li>Transaction fees: 1.9% - 2.9% + $0.30 USD<br/>
													(based on sales volume)<br/>
													<!--<a target="_blank" href="https://www.paypal-marketing.com/html/partner/portal/paymentspro.html">see quick demo</a> -->
												</li>
											</ul>
										</div>
										
										<div style="padding:10px;text-align:center;"><input type="button" id="buttonActivatePaypalPro" value="Set up"/></div>
									</div>
								</div>
							</div>
						</div>
					</td>
				</tr>
				<tr><td colspan="2">&nbsp;</td></tr>
				<tr>
					<td colspan="2">
						<input type="radio" name="activateChoises" id="activateChoiseOther" value="other"/>
						<label for="activateChoiseOther" style="font-weight:bold;">Accept credit cards and / or other processing methods</label><br/>
						<div style="margin:24px;"><img src="images/admin/creditcard.gif"/></div>
					</td>
				</tr>
				<tr style="display:none;" class="otherGatewaysOptions">
					<td class="formItemCaption">Choose a gateway you want to enable</td>
					<td class="formItemControl">
						<select id="selectActivateGateway" name="pid">
<?php
	$db->query("SELECT * FROM ".DB_PREFIX."payment_methods WHERE type <> 'Custom' AND active='No' ORDER BY gateway_name, type");
	while($db->moveNext()){?>
							<option value="<?=$db->col["pid"]?>" <?=$db->col["id"]=="paypalec"?'selected="selected"':''?>><?=gs($db->col["gateway_name"])?></option>
<?php
	}
?>
							<option value="custom">Custom Payment Method</option>
						</select>
						<input type="submit" value="Configure gateway" />
					</td>
				</tr>
			</table>
		</form>
	</div>
	
	<div id="idTabSheetPaymentActive" class="<?=$last_active_tab == "idTabPaymentActive"?"sheetActive":"sheetUnactive"?>">
		<table width="100%" cellpadding="0" cellspacing="5" border="0">
			<tr>
				<td class="formHeader">
					<div class="formHeaderIcon"><img src="images/icons/ic_server.gif"/></div>
					<div class="formHeaderText">Active Payment Gateways</div>
				</td>
			</tr>
		</table>
		<table width="100%" cellpadding="5" cellspacing="0" border="0">
			<tr>
				<td class="formListHeaderIcon">&nbsp;</td>
				<td class="formListHeaderCaption" style="width:200px;">Name</td>
				<td class="formListHeaderCaption" style="width:180px;">Gateway</td>
				<td class="formListHeaderCaption" style="width:100px;">Priority</td>
				<td class="formListHeaderCaption" style="width:100px;">Active</td>
				<td class="formListHeaderCaption" style="">&nbsp;</td>
			</tr>
			
<?php
	$db->query("SELECT * FROM ".DB_PREFIX."payment_methods WHERE active='Yes' OR type='custom' ORDER BY type, priority, name");
		
	if ($db->numRows()>0)
	{
?>
		<form name="frmPaymentMethods" action="admin.php?p=payment_methods" method="post">
			<input type="hidden" name="action" value="update">
<?php
		$t = "";
		$types = array(
			"custom"=>"Custom Payment Methods",
			"cc"=>"Realtime Processing - Payment with Credit Card",
			"check"=>"Realtime Processing - Payment with Check",
			"ipn"=>"Realtime Processing - Instant Payment Notification Methods (with back-processing)",
		);
		$colors = array(
			"custom"=>"#fffff7",
			"cc"=>"#ffffff",
			"check"=>"#f7ffff",
			"ipn"=>"#f7f7ff"
		);
		$pmc = 0;
		while($db->moveNext()){
			if($t != $db->col["type"]){
				if($pmc>0){
					echo '<tr><td colspan="7" class="tt" bgcolor="'.$colors[$t].'">&nbsp;</td></tr>';
				}
				$t = $db->col["type"];
?>
			<tr>
				<td class="formListHeaderIcon" style="padding-left:10px;width:16px;"><img src="images/icons/ic_server.gif"></td>
				<td class="formListHeaderCaption" colspan="5"><?=$types[$db->col["type"]]?></td>
			</tr>
<?php	
				$pmc++;
			}
?>
			<tr>
				<td class="formListItemIcon" style="width:16px;padding-left:10px;">
					<img src="images/icons/ic_<?=$db->col["proto"]=="http"?"unlocked":"locked"?>.gif" alt="<?=$db->col["proto"]?>">
				</td>
				<td class="formListItemText"><a href="admin.php?p=payment_method&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["name"])?></a></td>
				<td class="formListItemText"><a href="admin.php?p=payment_method&mode=update&pid=<?=$db->col["pid"]?>"><?=trim($db->col["id"])==""?"<i>-</i>":$db->col["gateway_name"]?></a></td>
				<td class="formListItemText">
					<select name="priority[<?=$db->col["pid"]?>]" style="width:60px;">
<?php
			for($i=1; $i<=10; $i++){
				echo '<option value="'.$i.'" '.($db->col["priority"]==$i?"selected":"").'>'.$i.'</option>';
			}
?>		
					</select>
				</td>
				<td class="formListItemText"><?=$db->col["active"]?></td>
				<td class="formListItemText" align="right">
					<a href="admin.php?p=payment_method&mode=update&pid=<?=$db->col["pid"]?>"><img src="images/icons/ic_change_text.gif" border="0" title="Update payment method settings"></a>
<?php				
					if ($db->col["type"] == "custom"){
?>
					<a href="javascript:ConfirmDeletePaymentMethod(<?=$db->col["pid"]?>)"><img src="images/icons/ic_delete.gif" border="0" title="Delete Custom Payment Method"></a>
<?php				}
					else
					{
?>
					<a href="javascript:ConfirmDisablePaymentMethod(<?=$db->col["pid"]?>)"><img src="images/icons/ic_delete.gif" border="0" title="Disable Realtime Payment Method"></a>			
<?php
					}
?>			
				</td>
			</tr>
<?php
				}
?>
			<tr>
				<td colspan="6" style="padding-top:15px;padding-bottom:15px;text-align:center;">
					<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp;
					<input type="image" src="images/admin/bt_reset_form.gif">
				</td>
			</tr>
		</form>
<?php		}
			else
			{
?>
			<tr>
				<td colspan="6" class="no_data">
					<img src="images/icons/ic_hint.gif" align="left"> You currently do not have an active payment method.
				</td>
			</tr>
<?php
			}
?>
		</table>		
	</div>
