<?php
	if (!defined("ENV")) exit();

	loadJS("cd_attribute.js");
	pageHeader("Global Product Attributes", "", "ic_attribute.gif");
	
	if (_ACCESS_ATTRIBUTES && _ACCESS_ALL)
	{
		pageNote(array(
			array("icon"=>"ic_insert_row.gif", "text"=>"<b>Click to create a new Product Attribute</b>", "url"=>"admin.php?p=products_attribute&mode=insert", "visible"=>true)
		));
?>
<div class="listHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption" style="width:150px;">Attribute Name</div>
	<div class="listHeaderCaption" style="width:150px;">Attribute Caption</div>
	<div class="listHeaderCaption" style="width:100px;">Type</div>
	<div class="listHeaderCaption" style="width:100px;">Visible</div>
</div>
<?
		$db->query("SELECT * FROM ".DB_PREFIX."global_attributes ORDER BY name");
		if ($db->numRows()>0)
		{
			while ($db->moveNext())
			{
?>
<div class="listItem">
	<div class="listItemIcon"><img src="images/icons/ic_properties.gif"/></div>
	<div class="listItemText" style="width:150px;"><a href="admin.php?p=products_attribute&mode=update&gaid=<?=$db->col["gaid"]?>"><?=htmlspecialchars($db->col["name"])?></a></div>
	<div class="listItemText" style="width:150px;"><a href="admin.php?p=products_attribute&mode=update&gaid=<?=$db->col["gaid"]?>"><?=htmlspecialchars($db->col["caption"])?></a></div>
	<div class="listItemText" style="width:100px;"><?=ucfirst($db->col["attribute_type"])?></div>
	<div class="listItemText" style="width:100px;"><?=$db->col["is_active"]?></div>
	<div class="listItemButtons">
		<a href="admin.php?p=products_attribute&mode=update&gaid=<?=$db->col["gaid"]?>"><img src="images/icons/ic_change_text.gif" border="0" title="Edit Attribute"></a>
		<a href="javascript:ConfirmDeleteAttribute(<?=$db->col["gaid"]?>)"><img src="images/icons/ic_delete.gif" border="0" title="Delete Attribute"></a>
	</div>
</div>
<?			}
		}
		else
		{
?>
<div class="listEmpty">
	No attributes have been entered yet.
</div>
<?
		}
	}
	else
	{
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
		));
	}
?>