<?php
	if (!defined("ENV")) exit();

	pageHeader("Setup Sale Prices", "", "");

	$action = isset($action)?trim($action):"";
	switch($action){
		case "set" : {
			if(!DEMO_LOCK){
				$value = isset($value)?floatval($value):0.00;
				$type = isset($type)?trim($type):"%";
				$db->query("SELECT pid, price, price2 FROM ".DB_PREFIX."products");
				$products = $db->getRecords();
				for($i=0; $i<count($products); $i++){
					$price2 = $products[$i]["price2"]>0?$products[$i]["price2"]:$products[$i]["price"];
					$mod =  $products[$i]["price2"]>0?$products[$i]["price2"]:$products[$i]["price"];
					if($type == "%"){
						$price = $mod - $mod / 100 * $value;
					}
					else{
						$price = $mod - $value;
					}

					$db->query("UPDATE ".DB_PREFIX."products SET price2='".$price2."', price='".$price."' WHERE pid='".$products[$i]["pid"]."'");
					//echo $db->query."<br>";
				}
			}
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<b>Sale Prices has been successfully updated.</b><br>&nbsp;", "visible"=>true, "url"=>"")
			));
			break;
		}
		case "remove" : {
			if(!DEMO_LOCK){
				$db->query("UPDATE ".DB_PREFIX."products SET price=price2 WHERE price<price2");
				$db->query("UPDATE ".DB_PREFIX."products SET price2=0");
			}
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<b>Sale Prices has been successfully removed.</b>", "visible"=>true, "url"=>"")
			));
			break;
		}
		default : {
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"Use this section to globally modify all prices within the cart.", "visible"=>true, "url"=>"")
			));
			loadJS("cf_saleprice.js");
			pageTabs(array(
				array("title"=>"Set-Up Sale Prices", "id"=>"Main", "active"=>true, "width"=>140),
			));
?>
<form name="frmPrices" action="admin.php?p=sale_prices" method="post" onSubmit="return CheckSalePrices(this)">
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_expand.gif"></div>
				<div class="formHeaderText">Price Update Settings</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemControl"><input type="radio" name="action" value="set" checked id="id_set"> <b>Set new sale prices</b></td>
			<td class="formItemCaption"></td>
		</td>
		<tr valign="top">
			<td class="formItemCaption">Discount</tr>
			<td class="formItemControl">
				<input type="text" name="value" value="0.00" style="width:123px;">
				<select name="type">
					<option value="%">%</option>
					<option value="$"><?=$admin_currency["code"]?></option>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<td colspan="2">&nbsp;</td>
		</tr>
		<tr valign="top">
			<td class="formItemControl"><input type="radio" name="action" value="remove"  id="id_remove"> <b>Remove all sale prices</b></td>
			<td class="formItemCaption"></td>
		</td>
	</table>
</div>
<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif"/>
</div>
</form>

<?			break;
		}
	}
?>