<?php
	if (!defined("ENV")) exit();

	//pageHeader("Fed-Ex and UPS Realtime configurations", "", "");
	//pageNote(array(
	//	array("icon"=>"ic_hint.gif", "text"=>"This page will allow you to set up realtime shipping gateway.<br>&nbsp;", "url"=>"", "visible"=>true),
	//	array("icon"=>"ic_settings.gif", "text"=>"Back to Shipping Management page", "url"=>"admin.php?p=shipping", "visible"=>true)
	//));
	$action = isset($action)?trim($action):"";
	function getPhoneNumber($n){
		$s = "";
		for($i=0; $i<strlen($n); $i++){
			if(in_array($n[$i], array("0","1","2","3","4","5","6","7","8","9"))){
				$s = $s.$n[$i];
			}
		}
		return $s;
	}

	//Validate UPS account
	
	if($action == "check_ups_settings" && !DEMO_LOCK){
		$str = '<?xml version="1.0"?>'.
    		'<AccessRequest xml:lang="en-US">'.
        		'<AccessLicenseNumber>'.urlencode($settings["ShippingUPSAccessKey"]).'</AccessLicenseNumber>'.
				 '<UserId>'.urlencode($settings["ShippingUPSUserID"]).'</UserId>'.
				 '<Password>'.urlencode($settings["ShippingUPSUserPassword"]).'</Password>'.
			'</AccessRequest>'.
				'<?xml version="1.0"?>'.
					'<RatingServiceSelectionRequest xml:lang="en-US">'.
						'<Request>'.
							'<TransactionReference>'.
								'<CustomerContext>Bare Bones Rate Request</CustomerContext>'.
								'<XpciVersion>1.0001</XpciVersion>'.
							'</TransactionReference>'.
							'<RequestAction>Rate</RequestAction>'.
							'<RequestOption>Rate</RequestOption>'.
						'</Request>'.
						'<PickupType>'.
							'<Code>'.urlencode('01').'</Code>'.
						'</PickupType>'.
						'<Shipment>'.
							'<Shipper>'.
								'<Address>'.
									'<PostalCode>'.urlencode('85004').'</PostalCode>'.
									'<CountryCode>'.urlencode('US').'</CountryCode>'.
								'</Address>'.
							'</Shipper>'.
							'<ShipTo>'.
								'<Address>'.
									'<PostalCode>'.urlencode('85339').'</PostalCode>'.
									'<CountryCode>'.urlencode('US').'</CountryCode>'.
									//'<ResidentialAddressIndicator/>'.
								'</Address>'.
							'</ShipTo>'.
							'<ShipFrom>'.
								'<Address>'.
									'<PostalCode>'.urlencode('85004').'</PostalCode>'.
									'<CountryCode>'.urlencode('US').'</CountryCode>'.
								'</Address>'.
							'</ShipFrom>'.
							'<Service>'.
								'<Code>'.urlencode('01').'</Code>'.
							'</Service>'.
							'<Package>'.
								'<PackagingType>'.
									'<Code>'.urlencode('01').'</Code>'.
			     				'</PackagingType>'.
								'<PackageWeight>'.
									'<UnitOfMeasurement>'.
										'<Code>'.urlencode('LBS').'</Code>'.
									'</UnitOfMeasurement>'.
									'<Weight>'.urlencode('1').'</Weight>'.
								'</PackageWeight>'.
							'</Package>'.
						'</Shipment>'.
					'</RatingServiceSelectionRequest>';
		//echo "<pre><b>UPS Request:</b><br>".htmlspecialchars($str)."</pre>";
		
		$buffer = "";
		$c = curl_init();
		
		if($settings["ProxyAvailable"] == "YES"){
			//curl_setopt($c, CURLOPT_VERBOSE, 1);
			if(defined("CURLOPT_PROXYTYPE") && defined("CURLPROXY_HTTP") && defined("CURLPROXY_SOCKS5")){
				curl_setopt($c, CURLOPT_PROXYTYPE, $settings["ProxyType"] == "HTTP" ? CURLPROXY_HTTP : CURLPROXY_SOCKS5);
			}
			curl_setopt($c, CURLOPT_PROXY, $settings["ProxyAddress"].":".$settings["ProxyPort"]);
			if($settings["ProxyRequiresAuthorization"] == "YES"){
				curl_setopt($c, CURLOPT_PROXYUSERPWD, $settings["ProxyUsername"].":".$settings["ProxyPassword"]);
			}

			curl_setopt($c, CURLOPT_TIMEOUT, 120);
		}
		
		curl_setopt($c, CURLOPT_URL, $settings["ShippingUPSUrl"]);

	    curl_setopt($c, CURLOPT_SSL_VERIFYHOST, 0);
	    curl_setopt($c, CURLOPT_POSTFIELDS, $str);
	    curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);

		if (!ini_get('safe_mode')) set_time_limit(3000);
		curl_setopt($c, CURLOPT_SSL_VERIFYPEER, 1);
		curl_setopt($c, CURLOPT_CAPATH, $settings['GlobalServerPath'].$settings['SecuritySslDirectory']);
		curl_setopt($c, CURLOPT_CAINFO, $settings['GlobalServerPath'].$settings['SecuritySslDirectory'].'/'.$settings['SecuritySslPem']);
		$buffer = curl_exec($c);
		
		$xmlParser = new XMLParser();
		$tracking_data="";		
		$data = $xmlParser->parse($buffer);
			
		if ($data["RatingServiceSelectionResponse"][0]["Response"][0]["ResponseStatusCode"][0] == 0 and $data["RatingServiceSelectionResponse"][0]["Response"][0]["ResponseStatusDescription"][0] == "Failure")
		{
			if ($data["RatingServiceSelectionResponse"][0]["Response"][0]["Error"][0]["ErrorCode"][0]=='10002')
			{
				$UPS_setting_err = "Wrong User ID or password.";
			}
			else
			{
				$UPS_setting_err = $data["RatingServiceSelectionResponse"][0]["Response"][0]["Error"][0]["ErrorDescription"][0];
			}					
		}
		else
		{
			$UPS_setting_err = "UPS account is valid";	
		}
	}
	
	if($action == "get_meter_number" && !DEMO_LOCK){
		
		require_once("content/engine/engine_fedex.php");
		$xml =
			'<?xml version="1.0" encoding="UTF-8" ?>'.
			'<FDXSubscriptionRequest xmlns:api="http://www.fedex.com/fsmapi" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="FDXSubscriptionRequest.xsd">'.
			'<RequestHeader><AccountNumber>'.urlencode(trim($fm["AccountNumber"])).'</AccountNumber></RequestHeader>'.
			'<Contact>'.
				'<PersonName>'.urlencode(trim($fm["PersonName"])).'</PersonName>'.
				'<CompanyName>'.urlencode(trim($fm["CompanyName"])).'</CompanyName>'.
				'<Department>'.urlencode(substr(trim($fm["Department"]), 0, 35)).'</Department>'.
				'<PhoneNumber>'.urlencode(getPhoneNumber($fm["PhoneNumber"])).'</PhoneNumber>';
		if(getPhoneNumber($fm["PagerNumber"]) != ""){
			$xml.='<PagerNumber>'.urlencode(getPhoneNumber($fm["PagerNumber"])).'</PagerNumber>';
		}
		$xml .=
				'<FaxNumber>'.urlencode(getPhoneNumber($fm["FaxNumber"])).'</FaxNumber>'.
				'<E-MailAddress>'.urlencode($fm["EMailAddress"]).'</E-MailAddress>'.
			'</Contact>'.
			'<Address>'.
				'<Line1>'.urlencode($fm["Line1"]).'</Line1>';
		if($fm["Line2"] != ""){
			$xml.='<Line2>'.urlencode($fm["Line2"]).'</Line2>';
		}
		$xml .=
				'<City>'.urlencode($fm["City"]).'</City>'.
				'<StateOrProvinceCode>'.urlencode($fm["StateOrProvinceCode"]).'</StateOrProvinceCode>'.
				'<PostalCode>'.urlencode($fm["PostalCode"]).'</PostalCode>'.
				'<CountryCode>'.urlencode($fm["CountryCode"]).'</CountryCode>'.
			'</Address>'.
			'</FDXSubscriptionRequest>';
				
		//echo "<hr><b>Sent to fedex :</b><br>";
		//echo htmlspecialchars($xml);
		if(!ini_get('safe_mode')) set_time_limit(30000);
		$ch = curl_init();
		
		if($settings["ProxyAvailable"] == "YES"){
			//curl_setopt($ch, CURLOPT_VERBOSE, 1);
			if(defined("CURLOPT_PROXYTYPE") && defined("CURLPROXY_HTTP") && defined("CURLPROXY_SOCKS5")){
				curl_setopt($ch, CURLOPT_PROXYTYPE, $settings["ProxyType"] == "HTTP" ? CURLPROXY_HTTP : CURLPROXY_SOCKS5);
			}
			curl_setopt($ch, CURLOPT_PROXY, $settings["ProxyAddress"].":".$settings["ProxyPort"]);
			if($settings["ProxyRequiresAuthorization"] == "YES"){
				curl_setopt($ch, CURLOPT_PROXYUSERPWD, $settings["ProxyUsername"].":".$settings["ProxyPassword"]);
			}

			curl_setopt($ch, CURLOPT_TIMEOUT, 120);
		}
		
		curl_setopt($ch, CURLOPT_URL, 'https://gateway.fedex.com:443/GatewayDC');
		curl_setopt($ch, CURLOPT_HEADER, 1);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_TIMEOUT, 10);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_BINARYTRANSFER, 1);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Host: gatewaybeta.fedex.com',
			'User-Agent: FedExDC-0.3',
			'Accept: image/gif, image/jpeg, image/pjpeg, text/plain, text/html, */*',
			'Content-Type: image/gif',
			'Content-Length: '.strlen($xml)
		));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $xml);
		
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
		curl_setopt($ch, CURLOPT_CAPATH, $settings['GlobalServerPath'].$settings['SecuritySslDirectory']);
		curl_setopt($ch, CURLOPT_CAINFO, $settings['GlobalServerPath'].$settings['SecuritySslDirectory'].'/'.$settings['SecuritySslPem']);
		$return = curl_exec($ch);
		if(curl_errno($ch) != 0){
			$fedex_message = "Error requesting FedEx meter number:<br>".curl_errno($ch)." - ".curl_error($ch);
			$is_error = true;
		}
		else{
			$fedex_error_start = strpos($return, "<Error>");
			$fedex_error_finish = strpos($return, "</Error>");
			if($fedex_error_start === false && $fedex_error_finish === false){
				// no errors detected
				$fedex_meter_start = strpos($return, "<MeterNumber>");
				$fedex_meter_finish = strpos($return, "</MeterNumber>");
				$meter_number = substr($return, $fedex_meter_start + 13, $fedex_meter_finish - $fedex_meter_start - 13);
				$fedex_message = "FedEx Meter Number has been successfully created.<br>It is <u>".$meter_number."</u><br>FedEx settings has been updated, too.";
				
				$form = isset($form)?$form:array();
				$form["ShippingFedExAccountNumber"] = trim($fm["AccountNumber"]);
				$form["ShippingFedExMeter"] = $meter_number;
				
				$is_error = false;
			}
			else{
				// is error
				$fedex_error_start = strpos($return, "<Message>");
				$fedex_error_finish = strpos($return, "</Message>");
				$fedex_message = "Error requesting FedEx meter number:<br>".substr($return, $fedex_error_start + 9, $fedex_error_finish - $fedex_error_start - 9);
				$is_error = true;
			}
		}
		curl_close($ch);
	}
	
	if(($action == "update_settings" || ($action == "get_meter_number" && !$is_error)) && !DEMO_LOCK){
		$form = isset($form)?$form:array();
		reset($form);
		foreach($form as $name=>$value){
			$db->reset();
			$db->assignStr("value", $value);
			$db->update(DB_PREFIX."settings", "WHERE name='".$name."'");
			$settings[$name] = $value;			
		}
	}
?>
<div id="idTabSheetRealtimeSettings" class="<?=$last_active_tab == "idTabRealtimeSettings"?"sheetActive":"sheetUnactive"?>">
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_profiles.gif"/></div>
			<div class="formHeaderText">UPS Gateway Settings</div>
		</td>
	</tr>
	<tr valign="top">
		<td colspan="2">
			<div class="formItemComment">
				<img src="images/admin/shipping_ups.jpg" hspace="10" vspace="10" align="left">
				&nbsp;<br>
				Please choose settings options below. Unless you have very specific shipping requirements,
				you should be using the default methods. Rate Chart determines which rate chart applies to
				the shipment. Regular Daily Pickup rates are the lowest published rates, and apply to the
				majority of UPS shipments. Container drop-down box allows for the type of shipping container
				to be specified, but is a global setting and will be applied to all products in your cart.
				UPS online tool is by default getting shipping rate for "Bill to UPS account" = "Yes".
			</div>
		</td>
	</tr>
<? 	if(isset($UPS_setting_err) && strlen(trim($UPS_setting_err))>0) { ?>
	<tr>
		<td colspan="2" align="center">
			<p><span style="color:#990000;"><b><?=$UPS_setting_err?></b></span></p>		
		</td>
	</tr>
<?	}?>
</table>
<form name="frmUPSSettings" action="admin.php?p=shipping" method="post">
	<input type="hidden" name="action" value="check_ups_settings">
	<input type="hidden" name="last_active_tab" value="idTabRealtimeSettings">
</form>
				
<form name="frmSettings2" action="admin.php?p=shipping" method="post">
	<input type="hidden" name="action" value="update_settings">
	<input type="hidden" name="last_active_tab" value="idTabRealtimeSettings">
<?
	if(_ACCESS_ALL || _ACCESS_UPS){
?>	
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr valign="top">
		<td class="formItemCaption">UPS XML Access Key</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingUPSAccessKey]" style="width:123px;" value="<?=htmlspecialchars($settings["ShippingUPSAccessKey"])?>">
        	<br/><a href="#" onClick="document.frmUPSSettings.submit();" title="Please save account information before using this link." >Validate the account</a>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">UPS User Id</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingUPSUserID]" style="width:123px;" value="<?=htmlspecialchars($settings["ShippingUPSUserID"])?>">			
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">UPS Password</td>
		<td class="formItemControl">
			<input type="password" name="form[ShippingUPSUserPassword]" style="width:123px;" value="<?=htmlspecialchars($settings["ShippingUPSUserPassword"])?>">			
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">UPS Pickup Type</td>
		<td class="formItemControl">
			<select name="form[ShippingUPSRateChart]" style="width:250px;">
				<option value="01" <?=$settings["ShippingUPSRateChart"]=="01"?"selected":""?>>Daily Pickup(default)</option>
				<option value="07" <?=$settings["ShippingUPSRateChart"]=="07"?"selected":""?>>On Call Air Pickup</option>
				<option value="06" <?=$settings["ShippingUPSRateChart"]=="06"?"selected":""?>>One Time Pickup</option>
				<option value="19" <?=$settings["ShippingUPSRateChart"]=="19"?"selected":""?>>Letter Center</option>
				<option value="03" <?=$settings["ShippingUPSRateChart"]=="03"?"selected":""?>>Customer Counter</option>
				<option value="20" <?=$settings["ShippingUPSRateChart"]=="20"?"selected":""?>>Air Service Center</option>
				<option value="11" <?=$settings["ShippingUPSRateChart"]=="11"?"selected":""?>>Suggested Retail Rates (UPS Store)</option>
			</select>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">UPS Package Type</td>
		<td class="formItemControl">
			<select name="form[ShippingUPSContainer]" style="width:250px;">
				<option value="00" <?=$settings["ShippingUPSContainer"]=="00"?"selected":""?>>Your Packaging (default)</option>
				<option value="01" <?=$settings["ShippingUPSContainer"]=="01"?"selected":""?>>UPS letter/ UPS Express Envelope</option>
				<option value="03" <?=$settings["ShippingUPSContainer"]=="03"?"selected":""?>>UPS Tube</option>
				<option value="04" <?=$settings["ShippingUPSContainer"]=="04"?"selected":""?>>UPS Pak</option>
				<option value="21" <?=$settings["ShippingUPSContainer"]=="21"?"selected":""?>>UPS Express Box</option>
				<option value="24" <?=$settings["ShippingUPSContainer"]=="24"?"selected":""?>>Worldwide 25KG Box</option>
				<option value="25" <?=$settings["ShippingUPSContainer"]=="25"?"selected":""?>>Worldwide 10KG Box</option>
			</select>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">UPS residential or commercial delivery</td>
		<td class="formItemControl">
			<select name="form[ShippingUPSResidential]" style="width:250px;">
				<option value="1" <?=$settings["ShippingUPSResidential"]=="1"?"selected":""?>>Residential</option>
				<option value="0" <?=$settings["ShippingUPSResidential"]=="0"?"selected":""?>>Commercial</option>
			</select>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Server URL for UPS Rating Tool</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingUPSUrl]" style="width:250px;" value="<?=htmlspecialchars($settings["ShippingUPSUrl"])?>">
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Server URL for UPS Tracking Tool</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingUPSTrackingUrl]" style="width:250px;" value="<?=htmlspecialchars($settings["ShippingUPSTrackingUrl"])?>">
		</td>
	</tr>
</table>
<?
	}
	else{
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
		));
	}
?>
<table cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_profiles.gif"/></div>
			<div class="formHeaderText">USPS Gateway Settings</div>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<div class="formItemComment">
				<img src="images/admin/shipping_usps.jpg" hspace="10" vspace="10" align="left">
				&nbsp;<br/>
				Please note: to begin using USPS rates calculators APIs you must complete a simple registration process. <a target="_blank" href="http://www.usps.com/webtools/">Click here</a> to go to USPS site.
			</div>
		</td>
	</tr>
</table>
<?
	if(_ACCESS_ALL || _ACCESS_USPS){
?>
<table cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr valign="top">
		<td class="formItemCaption">USPS Web Tools User ID</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingUSPSUserID]" style="width:123px;" value="<?=htmlspecialchars($settings["ShippingUSPSUserID"])?>">
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Server URL for USPS Rating Tool</td>
		<td class="formItemControl"><input type="text" name="form[ShippingUSPSUrl]" style="width:250px;" value="<?=htmlspecialchars($settings["ShippingUSPSUrl"])?>"></td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Server URL for USPS Tracking Tool</td>
		<td class="formItemControl"><input type="text" name="form[ShippingUSPSTrackingUrl]" style="width:250px;" value="<?=htmlspecialchars($settings["ShippingUSPSTrackingUrl"])?>"></td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Server URL for USPS Labeling Tool</td>
		<td class="formItemControl"><input type="text" name="form[ShippingUSPSLabelingUrl]" style="width:250px;" value="<?=htmlspecialchars($settings["ShippingUSPSLabelingUrl"])?>"></td>
	</tr>
    <tr valign="top">
		<td class="formItemCaption">Packaging Size for USPS</td>
		<td class="formItemControl">
        <select name="form[ShippingUSPSPackageSize]" style="width:250px;">
				<option value="REGULAR" <?=$settings["ShippingUSPSPackageSize"]=="REGULAR"?"selected":""?>>REGULAR</option>
				<option value="LARGE" <?=$settings["ShippingUSPSPackageSize"]=="LARGE"?"selected":""?>>LARGE</option>
                <option value="OVERSIZE" <?=$settings["ShippingUSPSPackageSize"]=="OVERSIZE"?"selected":""?>>OVERSIZE</option>
			</select>
        </td>
	</tr>
    <!-- Setting to display all online available shipping methods. -->
    <!-- need to add follwoing query in database
    	INSERT INTO settings VALUES ('No', 'hidden', 0, 'Shipping', 0, 'ShippingUSPSMethodDisplayMode', '', '', '', '', '');
        -->
    <!--
    <tr valign="top">
		<td class="formItemCaption">Domestic Shipping Method Display Mode</td>
		<td class="formItemControl">
        <select name="form[ShippingUSPSMethodDisplayMode]" style="width:250px;">
				<option value="enabled" <? //$settings["ShippingUSPSMethodDisplayMode"]=="enabled"?"selected":""?>>Only enabled shipping methods</option>
				<option value="all" <? //$settings["ShippingUSPSMethodDisplayMode"]=="all"?"selected":""?>>All available shipping methods</option>               
			</select>
            
 

        </td>
	</tr> -->
</table>
<?
	}
	else{
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
		));
	}
?>
<table cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_profiles.gif"/></div>
			<div class="formHeaderText">Canada Post Gateway Settings</div>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<div class="formItemComment">
				<img src="images/admin/shipping_canadapost.jpg" hspace="10" vspace="10" align="left">
				&nbsp;<br/>
				Please note: to begin using Canada Post rates calculators APIs you must complete a simple registration process. <a href="http://www.canadapost.ca/" target="_blank">Click here</a> to go to Canada Post site.
			</div>
		</td>
	</tr>
</table>
<?
	if(_ACCESS_CANADA_POST || _ACCESS_ALL){
?>
<table cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr valign="top">
		<td class="formItemCaption">Canada Post Merchant ID</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingCPMerchantID]" style="width:123px;" value="<?=htmlspecialchars($settings["ShippingCPMerchantID"])?>">			
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Server URL for Canada Post Rating Tool</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingCPUrlRating]" style="width:250px;" value="<?=htmlspecialchars($settings["ShippingCPUrlRating"])?>">			
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Server URL for Canada Post Tracking Tool</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingCPUrlTracking]" style="width:250px;" value="<?=htmlspecialchars($settings["ShippingCPUrlTracking"])?>">			
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Show delivery date with method name</td>
		<td class="formItemControl">
			<select name="form[ShippingCPDeliveryDate]" style="width:123px;">
				<option value="yes" <?=$settings["ShippingCPDeliveryDate"]=="yes"?"selected":""?>>Yes</option>
				<option value="no" <?=$settings["ShippingCPDeliveryDate"]=="no"?"selected":""?>>No</option>
			</select>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Total Amount for Insurance Calculation</td>
		<td class="formItemControl">
			<select name="form[ShippingCPItemsValue]" style="width:123px;">
				<option value="yes" <?=$settings["ShippingCPItemsValue"]=="yes"?"selected":""?>>Yes</option>
				<option value="no" <?=$settings["ShippingCPItemsValue"]=="no"?"selected":""?>>No</option>
			</select>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Turn Around Time (hours)</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingCPTAT]" style="width:123px;" value="<?=htmlspecialchars($settings["ShippingCPTAT"])?>">
		</td>
	</tr>
</table>
<?
	}
	else{
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
		));
	}
?>
<table cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_profiles.gif"/></div>
			<div class="formHeaderText">FedEx Gateway Settings</div>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<div class="formItemComment">
				<img src="images/admin/shipping_fedex.jpg" hspace="10" vspace="10" align="left">
				&nbsp;<br/>
				Please note: to begin using FedEx rates calculators APIs you must complete a simple registration process. 
				<a target="_blank" href="http://www.fedex.com/">Click here</a> to go to FedEx site.
			</div>
		</td>
	</tr>
</table>
<?
	if(_ACCESS_ALL || _ACCESS_FEDEX){
?>
<table cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr valign="top">
		<td class="formItemCaption">FedEx Account Number</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingFedExAccountNumber]" style="width:123px;" value="<?=$settings["ShippingFedExAccountNumber"]?>">
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">FedEx Meter</td>
		<td class="formItemControl">
			<input type="text" name="form[ShippingFedExMeter]" style="width:123px;" value="<?=$settings["ShippingFedExMeter"]?>">
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Display FedEx Shipping Rates with VAT</td>
		<td class="formItemControl">			
			<select name="form[ShippingFedExRatesWithVAT]" style="width:123px;">
				<option value="Yes" <?=$settings["ShippingFedExRatesWithVAT"]=="Yes"?"selected":""?>>Yes</option>
				<option value="No" <?=$settings["ShippingFedExRatesWithVAT"]=="No"?"selected":""?>>No</option>
			</select>
			<div class="formItemComment"><i>U.S. users, please ignore this setting</i></div>
		</td>
	</tr>
</table>
<?
	}
	else{
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
		));
	}
?>
<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp;
	<input type="image" onClick="frmSettings2.reset();return false;" src="images/admin/bt_reset_form.gif">
</div>
</form>
<?
	if(_ACCESS_ALL || _ACCESS_FEDEX){
?>
<a name="fedex_metter"></a>
<table cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr valign="top">
		<td class="formHeader" colspan="2">
			<div class="formHeaderButtons"><img src="images/icons/ic_arrow_<?=$action=="get_meter_number"?"up":"down"?>.gif" style="cursor:pointer;" onClick="showHideFedexDiv(this, 'divFedexMeter')" id="arr3" align="right"></div>
			<div class="formHeaderIcon"><img src="images/icons/ic_form.gif"></div>
			<div class="formHeaderText"><a href="javascript:showHideFedexDiv(document.images.arr3, 'divFedexMeter')" >Generate Fedex Meter Number</a></div>
		</td>
	</tr>	
<script language="javascript" type="text/javascript"><!--
function showHideFedexDiv(img, divName){
	d = document.getElementById(divName);
	if(d){
		if(d.style.display == "none"){
			d.style.display = "block";
			img.src = "images/icons/ic_arrow_up.gif";
		}
		else{
			d.style.display = "none";
			img.src = "images/icons/ic_arrow_down.gif";
		}
	}
}

--></script>
<? if($action=="get_meter_number"){?>
	<tr class="formHeader">
		<td colspan="2" style="padding:5px;text-align:center;color:#dd0000;font-weight:bold;">
			<?=$fedex_message?>
		</td>
	</tr>
<?	} ?>
</table>
<div id="divFedexMeter" style="display:<?=$action=="get_meter_number"?"block":"none"?>">
<?include("content/admin/admin_fedex_meter.php")?>
</div>
<?	}?>

</div>
