<?php
	if (!defined("ENV")) exit();

	$zone_id = isset($_REQUEST["zone_id"])?intval($_REQUEST["zone_id"]):0;
	$tax_zone = $taxes->getTaxZoneById($zone_id);
	
	$countries_states = $taxes->getCountriesStates(false);
	
	$action = isset($_REQUEST["action"])?$_REQUEST["action"]:"";
	
	if($action == "save"){
		$s = $_REQUEST["taxSettings"];
		foreach($s as $key=>$value){
			$db->reset();
			$db->assignStr("value", $value);
			$db->update(DB_PREFIX."settings", "WHERE name='".$db->escape($key)."'");
			$settings[$key] = $value;
		}
	}

?>
<div id="idTabSheetSettings" class="<?=$last_active_tab == "idTabSettings"?"sheetActive":"sheetUnactive"?>">
<script type="text/javascript"><!--
function setTaxStates(){
	c = document.getElementById('selectCountry');
	s = document.getElementById('selectState');
	s.options.length = 1;
	s.options[0] = new Option('All States / Provinces', '0');
<?	
	foreach($countries_states as $coid=>$country){
		if(is_array($country["states"])){
?>
	if(c.value == '<?=$coid?>'){<?
			$i = 1;
			foreach($country["states"] as $stid=>$state){?>
		s.options[<?=$i?>] = new Option('<?=addslashes($state)?>', '<?=$stid?>');		
<?				$i++;
			}
		
?>
	}
<?		}
	}
?>
	if(c.value == '<?=$settings["TaxDefaultCountry"]?>'){
		s.value='<?=$settings["TaxDefaultState"]?>';
	}
}
--></script>

<form name="frmTaxesSettings" method="post" action="admin.php?p=taxes&tax_mode=advanced">
	<input type="hidden" name="action" value="save"/>
<table cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr>
		<td colspan="2" class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
			<div class="formHeaderText">Taxes Settings</div>
		</td>
	</tr>

	<tr valign="top">
		<td class="formItemCaption">Display Prices with Tax?</td>
		<td class="formItemControl">
			<select id="selectDisplayPricesWithTax" name="taxSettings[DisplayPricesWithTax]" style="width:123px;">
				<option value="YES">Yes</option>
				<option value="NO" <?=$settings["DisplayPricesWithTax"]=="NO"?'selected="selected"':''?>>No</option>
			</select>
		</td>
	</tr>
 
	<tr valign="top">
		<td class="formItemCaption">Apply Tax to Orders By</td>
		<td class="formItemControl">
			<input type="radio" id="radioTaxAddressShipping" name="taxSettings[TaxAddress]" <?=!in_array($settings["TaxAddress"], array("Billing", "Default"))?'checked="checked"':''?> value="Shipping"> 
			<label for="radioTaxAddressShipping">Order Shipping Address, or Billing Address if there no shipping</label><br/>
			
			<input type="radio" id="radioTaxAddressBilling" name="taxSettings[TaxAddress]" <?=$settings["TaxAddress"]=="Billing"?'checked="checked"':''?> value="Billing">
			<label for="radioTaxAddressBilling">Order Billing Address</label><br/>
			
			<input type="radio" id="radioTaxAddressDefault" name="taxSettings[TaxAddress]" <?=$settings["TaxAddress"]=="Default"?'checked="checked"':''?> value="Default">
			<label for="radioTaxAddressDefault">Default Tax Country / State (see below)</label>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Default Tax Country</td>
		<td class="formItemControl">
			<select id="selectCountry" name="taxSettings[TaxDefaultCountry]" onchange="setTaxStates()" style="width:250px;">
				<option value="0">All Countries</option>
<?				foreach($countries_states as $coid=>$country){
					echo '<option value="'.$coid.'" '.($settings["TaxDefaultCountry"]==$coid?' selected="selected"':'').'>'.htmlspecialchars($country["country_name"]).'</option>';
				}
?>						
			</select>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Default Tax State / Province</td>
		<td class="formItemControl">
			<select id="selectState" name="taxSettings[TaxDefaultState]" style="width:250px;">
				<option value="0">All States / Provinces</option>
			</select>
		</td>
	</tr>
</table>
<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif"/> &nbsp;
	<input type="image" src="images/admin/bt_reset_form.gif" onclick="document.forms['frmCountries'].reset();return false;"/>
</div>
</form>
<script type="text/javascript"><!--
setTaxStates();
--></script>
</div>