<?php

	if (!defined("ENV")) exit();
	
//PayPal changes for DoCapture and DoAuthorization
	if ($paypal_payment_status != "")
	{
		if (!isset($total_amount)) $total_amount = $order_data["total_amount"];
		$db->query("SELECT * FROM ".DB_PREFIX."payment_methods WHERE id='".$paypal_method."' AND active='Yes'");
		if ($db->moveNext())
		{
			require_once("content/engine/engine_paypal_ec.php");
			$paypal_ec = new paypalExpressCheckout();
			$paypal_ec->ApiURL = $db->col["url_to_gateway"];
			$paypal_ec->currencyCode = $settings[$paypal_method."_currency"];
			//payment method details. Please change it according to payment method selected
			$gateway_details[0] = "cc";
			$gateway_details[1] = $paypal_method." : ".$paypal_payment_status;
			$total_charged_amount = $paypal_charged_amount + $paypal_partial_capture;
							
			if($total_amount == $total_charged_amount)
				$complete_type ="Complete";
			elseif($chargeable_amt > $paypal_partial_capture)
				$complete_type ="NotComplete";	
			if($total_charged_amount == $chargeable_amt)
				$complete_type ="Complete";
			
			$username = $paypal_method."_Username";
			$password = $paypal_method."_Password";
			
			$paypal_ec->Username = $settings[$username];
			$paypal_ec->Password = $settings[$password];
			
			$paypal_ec->OrderTotal = $paypal_partial_capture;
			$paypal_ec->mode = strtolower($settings["paypalec_Mode"]);
			$response ="";
						
			switch($paypal_payment_status){
				case "Capture":{
					$result= $paypal_ec->DoCapture($authorization_id,$paypal_settlement_note,$complete_type);					
					if($paypal_ec->is_error){
						$paypal_error = $result;
						pageHeader("Error Updating Order Payment Status");
						pageNote(array(
							array("icon"=>"ic_error.gif", "text"=>"<b>Error processing transaction. Error message: ".$paypal_error[0]."</b>", "url"=>"", "visible"=>true)
						));
					}
					elseif($result["PaymentStatus"][0] == "Completed"){
						$db->reset();
						$db->assignStr("payment_status", "Partial");
						$db->assign("custom3", $total_charged_amount);
						if($complete_type == "Complete"){
							$db->assignStr("payment_status", "Received");							
						}
						$db->update(DB_PREFIX."orders", "WHERE oid='".$oid."'");
											
						foreach($paypal_ec->PaymentAction as $key=>$value){
							$response.=$key." = ".$value[0]."\n";
						}
						foreach($result as $key=>$value){
							$response.=$key." = ".$value[0]."\n";
						}
						$paypal_ec->createPayPalTransaction($db,$oid,$uid,$paypal_settlement_note,$response,$paypal_partial_capture,$gateway_details);
					}
					break;									
				}
				case "Authorization":{
					$result= $paypal_ec->DoAuthorization($authorization_id);
					if($paypal_ec->is_error){
						$paypal_error = $result;
						pageHeader("Error Updating Order Payment Status");
						pageNote(array(
							array("icon"=>"ic_error.gif", "text"=>"<b>Error processing transaction. Error message: ".$paypal_error[0]."</b>", "url"=>"", "visible"=>true)
						));
					}
					elseif($result){
						$db->reset();
						$db->assignStr("custom1", "authorization");
						$db->assignStr("security_id", $result);											
						$db->update(DB_PREFIX."orders", "WHERE oid='".$oid."'");
						foreach($paypal_ec->PaymentAction as $key=>$value){
							$response.=$key." = ".$value[0]."\n";
						}
						$paypal_ec->createPayPalTransaction($db,$oid,$uid,$paypal_settlement_note,$response,$paypal_partial_capture,$gateway_details);
					}
					break;
				}
								
				case "Reauthorization":{
					$result= $paypal_ec->DoReauthorization($authorization_id,$paypal_settlement_note);
					if($paypal_ec->is_error){
						$paypal_error = $result;
						pageHeader("Error Updating Order Payment Status");
						pageNote(array(
							array("icon"=>"ic_error.gif", "text"=>"<b>Error processing transaction. Error message: ".$paypal_error[0]."</b>", "url"=>"", "visible"=>true)
						));
					}
					elseif($result){
						$db->reset();
						$db->assignStr("custom1", "authorization");
						$db->assignStr("security_id", $result);											
						$db->update(DB_PREFIX."orders", "WHERE oid='".$oid."'");
						foreach($paypal_ec->PaymentAction as $key=>$value){
							$response.=$key." = ".$value[0]."\n";
						}
						$paypal_ec->createPayPalTransaction($db,$oid,$uid,$paypal_settlement_note,$response,$paypal_partial_capture,$gateway_details);
					}
					break;
				}
				case "Refund":{
					if($paypal_charged_amount == $paypal_partial_capture )
						$refund_type ="Full";
					if($total_amount > $paypal_partial_capture)
						$refund_type ="Partial";
					
					$result= $paypal_ec->DoRefund($authorization_id, $refund_type, $paypal_settlement_note, $paypal_partial_capture);
					if($paypal_ec->is_error){
						$paypal_error = $result;
						pageHeader("Error Updating Order Payment Status");
						pageNote(array(
							array("icon"=>"ic_error.gif", "text"=>"<b>Error processing transaction. Error message: ".$paypal_error[0]."</b>", "url"=>"", "visible"=>true)
						));
					}
					elseif($result){
						$total_charged_amount =($paypal_charged_amount>0?$paypal_charged_amount:$total_amount) - $paypal_partial_capture;
						
						$db->reset();						
						if($refund_type == "Full" || $total_charged_amount <= 0){
							$db->assignStr("payment_status", "Refunded");	
							$db->assignStr("custom1", "refund");
						}
										
						$db->assign("custom3", $total_charged_amount);											
						$db->update(DB_PREFIX."orders", "WHERE oid='".$oid."'");
						foreach($paypal_ec->PaymentAction as $key=>$value){
							$response.=$key." = ".$value[0]."\n";
						}
						$paypal_ec->createPayPalTransaction($db,$oid,$uid,$paypal_settlement_note,$response,$paypal_partial_capture,$gateway_details);
					}
					break;

				}				
				case "Cancel":{
					$result= $paypal_ec->DoVoid($authorization_id,$paypal_settlement_note);
					if($paypal_ec->is_error){
						$paypal_error = $result;
						pageHeader("Error Updating Order Payment Status");
						pageNote(array(
							array("icon"=>"ic_error.gif", "text"=>"<b>Error processing transaction. Error message: ".$paypal_error[0]."</b>", "url"=>"", "visible"=>true)
						));
					}
					elseif($result){
						$db->reset();
						$db->assignStr("custom1", "cancele");
						if($paypal_charged_amount > 0){
							$db->assignStr("payment_status", "Received");
							//$db->assign("total_amount", $paypal_charged_amount);
						}
						elseif($paypal_charged_amount == 0){
							$db->assignStr("payment_status", "Canceled");
							$db->assignStr("status", "Canceled");
						}
						$db->update(DB_PREFIX."orders", "WHERE oid='".$oid."'");
						foreach($paypal_ec->PaymentAction as $key=>$value){
							$response.=$key." = ".$value[0]."\n";
						}
						$paypal_ec->createPayPalTransaction($db,$oid,$uid,$paypal_settlement_note,$response,$paypal_partial_capture,$gateway_details);
					}
					break;
				}
			}			
		} 
	}			

?>