<?php
	if (!defined("ENV")) exit();
	$filtered = isset($filtered)?trim($filtered):"No";
	pageHeader("Site Text Pages", "", "ic_pages.gif");
	loadJS("cd_page.js");
	pageNote(array(
		array("icon"=>"ic_insert_row.gif", "text"=>"<b>Add a New Page</b>", "url"=>"admin.php?p=page&mode=insert", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"<b>Please note: there are three pre-defined text pages and it is strongly recommended that you do not delete these pages. Instead, it is recommended that you add the relevant information with regard to your business.</b>", "url"=>"", "visible"=>true)
	));
?>


<div class="listHeader">
	<div class="listHeaderIcon"><img src="images/icons/ic_text_pages.gif"/></div>
	<div class="listHeaderCaption" style="width:200px;">Page Title</div>
	<div class="listHeaderCaption" style="width:200px;">Short Name (URL Param)</div>
	<div class="listHeaderCaption" style="width:100px;">Is Visible</div>
</div>

<?
	$db->query("SELECT * FROM ".DB_PREFIX."pages ORDER BY priority, title");
	if($db->numRows() > 0){
		while($db->moveNext()){
?>
<div class="listItem">
	<div class="listItemIcon"><img src="images/icons/ic_page.gif"/></div>
	<div class="listItemText" style="width:200px;"><a href="admin.php?p=page&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["title"])?></a></div>
	<div class="listItemText" style="width:200px;"><a href="admin.php?p=page&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["name"])?></a></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["is_active"])?></div>
	<div class="listItemButtons">
		<a href="admin.php?p=page&mode=update&pid=<?=$db->col["pid"]?>"><img src="images/icons/ic_change_text.gif" border="0" title="Edit Page"></a>
		<a href="javascript:ConfirmDeletePage(<?=$db->col["pid"]?>)"><img src="images/icons/ic_delete.gif" border="0" title="Delete Page"></a>
	</div>
</div>
<?		}
	}
	else{
?>
<div class="listEmpty">
	No pages defined yet
</div>
<?
	}
?>
