<?php
	if (!defined("ENV")) exit();
	$action = isset($action)?trim($action):"";
	if($action == "save_changes"){
		$form = isset($form)?is_array($form)?$form:array():array();
		foreach($form as $key=>$value){
			$db->reset();
			$db->assignStr("value", $value);
			$db->update(DB_PREFIX."settings", "WHERE name='".$db->escape($key)."'");
			$settings[$key] = $value;
		}
	}
	
	
	pageHeader("Cardinal Centinel Setup");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"Cardinal Centinel enabling an ecommerce website to participate in the Verified by Visa (VbV), MasterCard SecureCode (MCSC), and JCB J/Secure payment initiative programs based on the 3-D Secure Protocol.<br>For more information please go to <a target=\"_blank\" href=\"http://www.cardinalcommerce.com\">http://www.cardinalcommerce.com</a>", "url"=>"", "visuble"=>true)
	));
	pageTabs(array(
		array("title"=>"Gateway Properties", "id"=>"Main", "active"=>true, "width"=>140),
	));
?>
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
	<form name="frmCardinal" action="admin.php?p=payment_cardinal" method="post">
	<input type="hidden" name="action" value="save_changes">
	
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_centinel.gif"/></div>
			<div class="formHeaderText">Payment Method Properties</div>
		</td>
	</td>
	<tr>
		<td class="formItemCaption">Enable Cardinal Centinel?</td>
		<td class="formItemControl">
			<select name="form[cardinalcommerce_Enabled]">
				<option value="Yes">Yes</option>
				<option value="No" <?=$settings["cardinalcommerce_Enabled"]=="No"?"selected":""?>>No</option>
			</select>
		</td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>Cardinal commerce URL</b></td>
		<td class="formItemControl"><input type="text" style="width:220px;" name="form[cardinalcommerce_URL]" value="<?=htmlspecialchars($settings["cardinalcommerce_URL"])?>"></td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>Processor identification code</b></td>
		<td class="formItemControl"><input type="text" style="width:220px;" name="form[cardinalcommerce_Processor_Id]" value="<?=htmlspecialchars($settings["cardinalcommerce_Processor_Id"])?>"></td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>Merchant identification code</b></td>
		<td class="formItemControl"><input type="text" style="width:220px;" name="form[cardinalcommerce_Merchant_Id]" value="<?=htmlspecialchars($settings["cardinalcommerce_Merchant_Id"])?>"></td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption"><b>Transaction password</b></td>
		<td class="formItemControl"><input type="text" style="width:220px;" name="form[cardinalcommerce_Password]" value="<?=htmlspecialchars($settings["cardinalcommerce_Password"])?>"></td>
	</tr>
</table>
</div>
<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif" default> &nbsp;
	<input type="image" onClick="frmCardinal.reset();return false;" src="images/admin/bt_reset_form.gif">
</div>
</form>