<?php
	if (!defined("ENV")) exit();

	if(!$printing){
		pageHeader("Reports", "", "ic_report.gif");
		pageNote(array(
			//array("icon"=>"ic_hint.gif", "text"=>$label_app_name." provides many variations of different reports.<br>To view a report select a date range, chose a report type<br> and click \"Show Report\" button.<br>&nbsp;", "url"=>"", "visible"=>true)
			array("icon"=>"ic_hint.gif", "text"=>"This section allow you to view many different types of reports regarding your cart.<br>To view a report, select a date range, report type and click \"Show Report\".", "url"=>"", "visible"=>true)
		));
	}
	
	function GetStatBar($rate){
		$s = '<table cellpadding="0" cellspacing="0" border="0">';
		$s.= '<tr><td><img src="images/admin/stat_left.gif"></td>';
		$s.= '<td><img src="images/admin/stat.gif" height="12" width="'.round($rate*1.2).'"></td>';
		$s.= '<td><img src="images/admin/stat_right.gif"></td></tr>';
		$s.= '</table>';
		return $s;
	}
	
	$from_y = isset($from_y)?$from_y:date("Y");
	$from_m = isset($from_m)?$from_m:date("n");
	$from_d = isset($from_d)?$from_d:1;
	$to_y = isset($to_y)?$to_y:date("Y");	
	$to_m = isset($to_m)?$to_m:date("n");
	$to_d = isset($to_d)?$to_d:date("t", mktime(1,1,1,$to_m, 1, $to_y));
	
	function GetReportDate(){
		global $from_y, $from_m, $from_d, $to_y, $to_m, $to_d;
		return 
			date("F j, Y", mktime(1, 1, 1, $from_m, $from_d, $from_y))." - ".
			date("F j, Y", mktime(1, 1, 1, $to_m, $to_d, $to_y));
	}
	
	$mysql_from =  $from_y."-".$from_m."-".$from_d." 00:00:01";
	$mysql_to =  $to_y."-".$to_m."-".$to_d." 23:59:59";
	if(!$printing){
		loadJS("cf_reports.js");
?>
<table bgcolor="<?=$clTableFrame?>" width="100%" cellpadding="1" cellspacing="1" border="0" style="clear:both;"><tr><td bgcolor="#FFFFFF"><table width="100%" cellpadding="0" cellspacing="0" border="0">
	<form action="admin.php" method="get" onSubmit="return CheckFormReports(this)">
		<input type="hidden" name="p" value="reports">
	<tr>
		<td class="th" colspan="4">
			<img src="images/icons/ic_dates.gif" align="left" hspace="6">
			Select Report Date Range
		</td>
	</tr>
	<tr>
		<td width="5%" align="center" height="50">&nbsp;</td>
		<td width="35%">
			From:<br>
			<select name="from_m">
<?		for($i=1; $i<=12; $i++){?>
				<option value="<?=$i?>" <?=$i == $from_m?"selected":""?>><?=$months[$i]?></option>
<?		}?>		</select>
			<select name="from_d">
<?				for($i=1; $i<=31; $i++){?>
				<option value="<?=$i?>" <?=$i == $from_d?"selected":""?>><?=$i?></option>
<?				}?>
			</select>
			<select name="from_y">
<?				for($i=2003; $i<=date("Y"); $i++){?>
				<option value="<?=$i?>" <?=$i == $from_y?"selected":""?>><?=$i?></option>
<?				}?>
			</select>
		</td>
		<td width="35%">
			To:<br>
			<select name="to_m">
<?		for($i=1; $i<=12; $i++){?>
				<option value="<?=$i?>" <?=$i == $to_m?"selected":""?>><?=$months[$i]?></option>
<?		}?>		</select>
			<select name="to_d">
<?		for($i=1; $i<=31; $i++){?>
				<option value="<?=$i?>" <?=$i == $to_d?"selected":""?>><?=$i?></option>
<?		}?>
			</select>
			<select name="to_y">
<?		for($i=2003; $i<=date("Y"); $i++){?>
				<option value="<?=$i?>" <?=$i == $to_y?"selected":""?>><?=$i?></option>
<?		}?>
			</select>
		</td>
		<td width="25%" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif">
		</td>
	</tr>
<?	}
	$report_type = isset($report_type)?trim($report_type):"";
	$report_type = in_array($report_type, array(
		"top_products", "top_categories", "referrers", "users_activity", "payment",
		"orders", "products", "dates", "payment", "customers", "promo", "tax", "profit"))?$report_type:"";
	if($report_type == ""){
?>
	<tr><td colspan="4">&nbsp;</td></tr>
	<tr>
		<td class="th" colspan="4">
			<img src="images/icons/ic_reports.gif" align="left" hspace="6">
			Choose Report Type
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="top_products" id="id_top_products" checked>
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_top_products">
				<b>Top Viewed Products</b>
			</label>
		</td>
		<td align="center" style="border-bottom:1px dashed #d0d0d0;">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_top_products').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="top_categories" id="id_top_categories">
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_top_categories">
				<b>Top Viewed Categories</b>				
			</label>
		</td>
		<td style="border-bottom:1px dashed #d0d0d0;" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_top_categories').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="products" id="id_products">
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_products">
				<b>Orders by Products</b>
				
			</label>
		</td>
		<td style="border-bottom:1px dashed #d0d0d0;" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_products').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="users_activity" id="id_users_activity">
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_users_activity">
				<b>Users Activity Report</b>				
			</label>
		</td>
		<td style="border-bottom:1px dashed #d0d0d0;" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_users_activity').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="referrers" id="id_referrers">
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_referrers">
				<b>Top Referring Sites</b>				
			</label>
		</td>
		<td style="border-bottom:1px dashed #d0d0d0;" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_referrers').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="customers" id="id_customers">
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_customers">
				<b>Sales by Customer</b>				
			</label>
		</td>
		<td style="border-bottom:1px dashed #d0d0d0;" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_customers').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="payment" id="id_payment">
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_payment">
				<b>Payment Types</b><br>
				Shows purchase statistics by payment type.<br>
			</label>
		</td>
		<td style="border-bottom:1px dashed #d0d0d0;" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_payment').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="dates" id="id_dates">
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_dates">
				<b>Consolidated Orders by Date</b><br>
				This report shows overall statistics by dates from selected period.<br>
				It includes subtotal, tax, shipping, discount, and total amounts for each day.
			</label>
		</td>
		<td style="border-bottom:1px dashed #d0d0d0;" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_dates').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="orders" id="id_orders">
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_orders">
				<b>Individual Orders by Date</b><br>
				This report shows overall statistics by completed orders with received payment.<br>
				It includes subtotal, tax, shipping, discount, and total amounts for orders.
			</label>
		</td>
		<td style="border-bottom:1px dashed #d0d0d0;" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_orders').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60" style="padding-top:5px;border-bottom:1px dashed #d0d0d0;" align="center">
			<input type="radio" name="report_type" value="promo" id="id_promo">
		</td>
		<td colspan="2" style="padding-top:7px;border-bottom:1px dashed #d0d0d0;">
			<label for="id_promo">
				<b>Promo Codes Usage</b><br>				
			</label>
		</td>
		<td style="border-bottom:1px dashed #d0d0d0;" align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_promo').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60"  style="padding-top:5px;" align="center">
			<input type="radio" name="report_type" value="tax" id="id_tax">
		</td>
		<td colspan="2" style="padding-top:7px;">
			<label for="id_tax">
				<b>Total Tax</b><br>				
			</label>
		</td>
		<td align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_tax').checked=true;">
		</td>
	</tr>
	<tr valign="top">
		<td height="60"  style="padding-top:5px;" align="center">
			<input type="radio" name="report_type" value="profit" id="id_profit">
		</td>
		<td colspan="2" style="padding-top:7px;">
			<label for="id_profit">
				<b>Total Profit</b>
			</label>
		</td>
		<td align="center">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif" onClick="document.getElementById('id_profit').checked=true;">
		</td>
	</tr>

	
<?
	}
	else{
?>
	<input type="hidden" name="report_type" value="<?=$report_type?>">
<?
	}
	if(!$printing){
?>	
	</form>
</table>
</td></tr></table>
<?	}
	if($report_type != ""){
		if(!$printing){
			pageNote(array(
				array("icon"=>"ic_print.gif", "text"=>"Show Printer-Friendly Report", "url"=>$_SERVER["PHP_SELF"]."?".($_SERVER["QUERY_STRING"])."&printing", "visible"=>true)
			));
		}
		$tw = $printing?"100%":"100%";
		$st = $printing?"reportPrint":"reportTable";
		$bg = $printing?"#000000":$clTableFrame;
		$th = $printing?"printTH":"th";
		require_once("content/admin/admin_report_".$report_type.".php");
	}
?>