<?php
	if (!defined("ENV")) exit();

	$skin_path = "content/skins/".$settings["DesignSkinName"]."/";
	pageHeader("Site Home Page", "", "ic_home.gif");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"Use this section to add custom content to your cart homepage. To ensure the correct look and feel use HTML. Note: default homepage contains some control tags in the HTML. It is strongly recommended to keep the tags in the HTML code.", "url"=>"", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"To add images to the home page, the images need to be moved to the  <br><u>".$settings["GlobalHttpUrl"]."/images/custom/</u><br>folder. You can do this moving the images via FTP, or <a href=\"javascript:showFileManager('/images/custom/');\">click here to use file manager</a>.<br>Remember, your HTML code needs to have the full path to the images.", "url"=>"", "visible"=>true)
	));
	$action = isset($action)?trim($action):"";
	if($action == "save" && !DEMO_LOCK){
		
		$CatalogHomeView = isset($CatalogHomeView)?trim($CatalogHomeView):"None";
		$db->query("UPDATE ".DB_PREFIX."settings SET value='".$db->escape($CatalogHomeView)."' WHERE name='CatalogHomeView'");
		$settings["CatalogHomeView"] = $CatalogHomeView;
		
		$CatalogHomeLink = isset($CatalogHomeLink)?trim($CatalogHomeLink):"None";
		$db->query("UPDATE ".DB_PREFIX."settings SET value='".$db->escape($CatalogHomeLink)."' WHERE name='CatalogHomeLink'");
		$settings["CatalogHomeLink"] = $CatalogHomeLink;
		
		$CatalogHomeItemsOnPage = isset($CatalogHomeItemsOnPage)?trim($CatalogHomeItemsOnPage):"10";
		$db->query("UPDATE ".DB_PREFIX."settings SET value='".$db->escape($CatalogHomeItemsOnPage)."' WHERE name='CatalogHomeItemsOnPage'");
		$settings["CatalogHomeItemsOnPage"] = $CatalogHomeItemsOnPage;
		
	}
	
	if(isset($msg_alert))
		foreach ($msg_alert as $key => $val){
			if(strlen($val)>0)
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<span style=\"color:#990000\"><b>$val</b></span>", "url"=>"", "visible"=>true)
			));
		}
		unset($msg_alert);
		pageTabs(array(
			array("title"=>"Update Site Home Page", "id"=>"Main", "active"=>true, "width"=>140),
		));
?>
<form name="frmSiteHome" action="admin.php?p=site_home" method="post">
	<input type="hidden" name="action" value="save">
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
			<div class="formHeaderText">Home Page Settings</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Choose a View</td>
		<td class="formItemControl">
			<select style="width:250px" name="CatalogHomeView">
				<option value="Text" <?=$settings["CatalogHomeView"]=="Text"?"selected":""?>>Text</option>
				<option value="Thumb1" <?=$settings["CatalogHomeView"]=="Thumb1"?"selected":""?>>Thumbnail - Single Column</option>
				<option value="Thumb2" <?=$settings["CatalogHomeView"]=="Thumb2"?"selected":""?>>Thumbnail - Double Column</option>
				<option value="Thumb3" <?=$settings["CatalogHomeView"]=="Thumb3"?"selected":""?>>Thumbnail - Three Column</option>
				<option value="Display" <?=$settings["CatalogHomeView"]=="Display"?"selected":""?>>Two Column</option>
				<option value="DisplayBox" <?=$settings["CatalogHomeView"]=="DisplayBox"?"selected":""?>>Two Column Box</option>
				<option value="None" <?=$settings["CatalogHomeView"]=="None"?"selected":""?>>No Products on Home Page</option>
			</select>
			<div class="formHelp">
				Please choose the view you would like to be used to	display<br>
				product items on home page, or disable	products displaying.
			</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Number of Product Items on Homepage :</td>
		<td class="formItemControl">
			<input style="width:250px" type="text" name="CatalogHomeItemsOnPage" value="<?=gs($settings["CatalogHomeItemsOnPage"])?>">
			<div class="formHelp">
				Please enter valid number. By default it is 10
			</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Home Page Links To</td>
		<td class="formItemControl">
			<input style="width:250px" type="text" name="CatalogHomeLink" value="<?=gs($settings["CatalogHomeLink"])?>">
			<div class="formHelp">
				Please enter valid URL. By default it is index.php?p=home
			</div>
		</td>
	</tr>
</table>
</div>
<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp;
	<input type="image" src="images/admin/bt_reset_form.gif" onClick="frmTaxes.reset();return false;">
</div>
</form>