<?php
if (!defined("ENV")) exit();
$taxes = new Taxes($db);
$zone_id = isset($_REQUEST["zone_id"])?intval($_REQUEST["zone_id"]):0;
$tax_zone = $taxes->getTaxZoneById($zone_id);
	
if (!$tax_zone)
{
	pageHeader("Can not find Tax Zone", "", "ic_settings.gif");
	pageNote(array(
		array("icon"=>"ic_error.gif", "text"=>"<b>Can not select tax zone by specified ID</b>", "url"=>"", "visible"=>true)
	));
	pageWhat(array(
		array("text"=>"Back to tax zones", "url"=>"admin.php?p=taxes&tax_mode=advanced&last_active_tab=idTabZones")
	));	
}
else
{
	pageHeader("Edit Tax Zone Regions - ".htmlspecialchars($tax_zone["zone_name"]));
	pageNote(array(
		array("icon"=>"ic_globe.gif", "text"=>"Back to Taxes Zones", "url"=>"admin.php?p=taxes&tax_mode=advanced&last_active_tab=idTabZones", "visible"=>true)
	));
	pageTabs(array(
		array("title"=>"Page Properties", "id"=>"Main", "active"=>true, "width"=>140),
	));
	
	$countries_states = $taxes->getCountriesStates(false);
		
	$action = isset($_REQUEST["action"])?$_REQUEST["action"]:"";
	$added_zr_id = "";
	
	switch($action)
	{
		case "addZoneRegion" :
		{
			$added_zr_id = $taxes->addZoneRegion($zone_id, $_REQUEST["coid"], $_REQUEST["stid"]);
			break;
		}
		case "deleteZoneRegion" :
		{
			$taxes->deleteZoneRegion($_REQUEST["zr_id"]);
			break;
		}
	}
	
	$tax_zone_regions = $taxes->getTaxZoneRegions($zone_id);
		
	$sortorder = isset($_REQUEST["sortorder"])?$_REQUEST["sortorder"]:"asc";
	$sortorder = in_array($sortorder, array("name_asc", "name_desc"))?$sortorder:"name_asc";
	
	loadJS("regions.js");
?>
<script language="javascript" type="text/javascript">
function setZoneStates(){
	var c = $('#selectZoneCountry').val();
	var options = '<option value="0">All States / Provinces</option>';
	countries_states = <?=json_encode($countries_states)?>;
	if (c > 0 && countries_states[c]["states"])
	{
		$.each(countries_states[c]["states"], function(stid, name){
			options = options + '<option value="' + stid + '">' + name + '</option>';
		});	
	}
	$("#selectZoneState").html(options);
}
</script>
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_insert_row.gif"/></div>
				<div class="formHeaderText">Add a New Tax Zone Region</div>
			</td>
		</tr>
	</table>

	<div style="padding:5px;clear:both;">
		<div style="width:23px;float:left;font-weight:bold;">&nbsp;</div>
		<div style="width:320px;float:left;font-weight:bold;">Country&nbsp;</div>
		<div style="width:250px;float:left;font-weight:bold;">State / Province / Region</div>
	</div>
	<div id="divAdd">
		<form style="padding:0px;margin:0px;" name="frmNewZoneRegion" method="POST" style="margin:0px;" action="admin.php?p=taxes_zone&zone_id=<?=$zone_id?>">
		<input type="hidden" name="action" value="addZoneRegion"/>
		<div style="padding:5px;clear:both;padding-top:2px;height:20px;">
			<div style="width:23px;float:left;">
				&nbsp;
			</div>
			<div style="width:320px;float:left;">
				<select id="selectZoneCountry" name="coid" onchange="setZoneStates()">
					<option value="0">All Countries</option>
<?					foreach($countries_states as $coid=>$country){
						echo '<option value="'.$coid.'">'.htmlspecialchars($country["country_name"]).'</option>';
					}
?>		
				</select>
			</div>
			<div style="width:250px;float:left;">
				<select id="selectZoneState" name="stid">
					<option value="0">All States / Provinces</option>
				</select>
			</div>
		</div>		
		<div class="formButtons">
			<input type="image" src="images/admin/bt_save_changes.gif"/>
			<input type="image" src="images/admin/bt_reset_form.gif" onclick="document.forms['frmCountries'].reset();return false;"/>
		</div>
		</form>
	</div>
<?	if($tax_zone_regions){?>
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_globe.gif"/></div>
				<div class="formHeaderText">Tax Zone Regions</div>
			</td>
		</tr>
	</table>
	<input type="hidden" name="action" value="save"/>
<?			for($i=0; $i<count($tax_zone_regions); $i++){
				$tax_zone_region = $tax_zone_regions[$i];
?>
	<div style="padding:5px;clear:both;height:20px;<?=$added_zr_id==$tax_zone_region["zr_id"]?"background-color:#CEF1C7;":""?>">
		<div style="width:23px;float:left;">
			&nbsp;
		</div>
		<div style="width:320px;float:left;">
			<?=$tax_zone_region["coid"] == "0" ? "All Countries" : htmlspecialchars($tax_zone_region["country_name"])?>
		</div>
		<div style="width:250px;float:left;">
			<?=$tax_zone_region["stid"] == "0" ? "All States / Provinces" : htmlspecialchars($tax_zone_region["state_name"])?>
		</div>
		<div style="width:40px;float:left;">
			<a href="javascript:confirmDeleteTaxZoneRegion('<?=$tax_zone["zone_id"]?>', '<?=$tax_zone_region["zr_id"]?>')"><img src="images/icons/ic_delete.gif" alt="Click to delete tax zone region" border="0"/></a>
		</div>
	</div>		
<?		}?>
	</div>
<?
	}
?>
</div>
<?php 
}
?>