<?php
	if (!defined("ENV")) exit();

	pageHeader("Thumbnail Generator", "", "ic_thumbs_generator.gif");
?>
<style type="text/css"><!--
.divSpacer{padding:20px 20px 0px 48px;float:left;}
.divHidden{display:none;}
.load_spinner{background-position:0px 3px;padding-left:22px;}
--></style>
<div id="divOptions" class="divStep">
<?php
	pageNote(array(
		array(
			"icon" => "ic_hint.gif",
			"text" =>
				"For the thumbnail generator to work correctly, the image filename must exactly match the Product ID for ".$label_app_name." to associate the image with the product.<br>".
				"You must use either FTP access or File Manager for your images. Send images to \"images/products/\" folder. After the images are moved, click the \"Scan Images\" button to start the process.",
			"visible" => true,
			"url" => ""
		),
		//array("icon"=>"ic_hint.gif", "text"=>"Please note: The GIF file type is no longer supported by GDLib. The cart uses GDLib to generate thumbnails so you must use JPEG or PNG file types. GIF images will be accepted but will not appear resized.", "url"=>"", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"You can change generated images size and type on <a href=\"admin.php?p=design_catalog&last_active_tab=idTabImages\">Images Settings Page</a>.", "url"=>"", "visible"=>true)
	));
?>
	<div class="divSpacer divTopLine">
		<form action="admin.php?p=thumbs_generator&step=2" method="POST">
			<input type="radio" name="generateType" value="all" id="typeAll" checked="checked"> <label for="typeAll">Generate product page images, thumbnail images, and secondary images</label><br/>
			<input type="radio" name="generateType" value="thumbs" id="typeThumbs"> <label for="typeThumbs">Generate thumbnail images only</label><br/>
			<input type="radio" name="generateType" value="products" id="typeProducts"> <label for="typeProducts">Generate product page images only</label><br/>
	        <input type="radio" name="generateType" value="secondary" id="typeSecondary"> <label for="typeSecondary">Generate secondary thumbnail images only</label><br/><br/>

    	    <input type="radio" name="generateTarget" value="new" id="targetNew" checked="checked"> <label for="targetNew">Generate only new images</label><br/>
        	<input type="radio" name="generateTarget" value="all" id="targetAll"> <label for="targetAll">Regenerate all images</label><br/><br/><br/>

			<input type="button" value="Scan Images" id="buttonScan"/>
		</form>
	</div>
</div>
<div id="divScanImages" class="divHidden divStep">
<?php
	pageNote(array(
		array(
			"icon" => "ic_hint.gif",
			"text" => "Depending on images count, scanning may take from few seconds to few minutes",
			"visible" => true,
			"url" => ""
		)
	));
?>
	<div class="divSpacer divTopLine"></div>
</div>
<div id="divProgress" class="divHidden divStep">
<?php
	pageNote(array(
		array(
			"icon"=>"ic_hint.gif",
			"text"=>"Please wait while ".$label_app_name." generates thumbs.<br>Amount of time depends on your images count and size.",
			"visible"=>true, "url"=>""
		)
	));
?>
	<div id="divProgressBar" class="divSpacer" style="clear:both;"></div>
	<div id="divProgressText" class="divSpacer"  style="clear:both;"></div>
</div>
<div id="divDone" class="divHidden divStep">
<?php
	pageNote(array(
		array(
			"icon" => "ic_hint.gif",
			"text" => "Operation done. Thumbnails have been generated.",
			"visible" => true,
			"url" => ""
		)
	));
?>
</div>
<script type="text/javascript" src="content/admin/javascript/thumbs_generator.js"></script>