<?php
	
	$google_xml = isset($HTTP_RAW_POST_DATA)?$HTTP_RAW_POST_DATA:file_get_contents("php://input");


	//load class, create xml parser and parse xml
	require_once("./../../../classes/class.xml.php");
	$xmlParser = new XMLParser();
	$parsed_result = $xmlParser->parse($google_xml);
	//simple log
	
	require_once("./../../../engine/engine_config.php");
	require_once("./../../../engine/engine_mysql.php");
	
	$db = new DB;
	$db->init(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
	
	require_once("./../../../engine/engine_settings.php");
	require_once("./../../../engine/engine_mysql.php");
	
	$a = array_keys($parsed_result);
	$recognized_request = $a[0];
	
	switch($recognized_request){
		case "new-order-notification" : {
			/////////////////////////////////
			//store google number & bayer info to database
			
			//0.1 - get country id
			$db->query("SELECT coid FROM ".DB_PREFIX."countries WHERE iso_a2='".$db->escape($parsed_result["new-order-notification"][0]["buyer-shipping-address"][0]["country-code"][0])."'");
			$country_id = $db->moveNext() ? $db->col["coid"] : 1;
			
			//0.2 - get state id
			$db->query("SELECT stid, name FROM ".DB_PREFIX."states WHERE coid='".$country_id."' AND short_name='".$db->escape($parsed_result["new-order-notification"][0]["buyer-shipping-address"][0]["region"][0])."'");
			if($db->moveNext()){
				$state_id = $db->col["stid"];
				$province_name = $db->col["name"];
			}
			else{
				$state_id = 0;
				$province_name = $shipping_address["region"][0];
			}
			

			//1 - get oid and order_num
			$merchant_note = $parsed_result["new-order-notification"][0]["shopping-cart"][0]["merchant-private-data"][0]["merchant-note"][0];
			$a = explode(":", $merchant_note);
			$order_id = intval(trim($a[0]));
			$order_num = intval(trim($a[1]));
		
			//2 - get google order id
			$google_order_id = $parsed_result["new-order-notification"][0]["google-order-number"][0];
			$google_buyer_id =  $parsed_result["new-order-notification"][0]["buyer-id"][0];
			
			//3 - store google order id
			$db->reset();
			$db->assignStr("custom1", $google_order_id);
			$db->assignStr("security_id", $google_buyer_id);

			//3.1 Store order status
			$db->assignStr("status", "Process");

			//3.2 Store tax details and shipping amount details
			$total_tax = $parsed_result["new-order-notification"][0]["order-adjustment"][0]["total-tax"][0];
			$shipping_name = $parsed_result["new-order-notification"][0]["order-adjustment"][0]["shipping"][0]["merchant-calculated-shipping-adjustment"][0]["shipping-name"][0];
			$shipping_cost = $parsed_result["new-order-notification"][0]["order-adjustment"][0]["shipping"][0]["merchant-calculated-shipping-adjustment"][0]["shipping-cost"][0];
			$total_amount = $parsed_result["new-order-notification"][0]["order-total"][0];
			$db->assignStr("tax_amount", $total_tax);
			$db->assignStr("shipping_cm_name", $shipping_name);
			$db->assignStr("shipping_amount", $shipping_cost);
			$db->assignStr("shipping_completed", "1");
			$db->assignStr("total_amount", $total_amount);

			//3.3 - get google order status
			$fulfillment_state = $parsed_result["new-order-notification"][0]["fulfillment-order-state"][0];
			$financial_state = $parsed_result["new-order-notification"][0]["financial-order-state"][0];			
			$google_state = $fulfillment_state."-".$financial_state;
			$db->assignStr("custom3", $google_state);


			//4 - store bayer shipping info
			$shipping_address = $parsed_result["new-order-notification"][0]["buyer-shipping-address"][0];
			$db->assignStr("shipping_name", $shipping_address["contact-name"][0]);
			$db->assignStr("shipping_company", $shipping_address["company-name"][0]);
			$db->assignStr("shipping_address1", $shipping_address["address1"][0]);
			$db->assignStr("shipping_address2", $shipping_address["address2"][0]);
			$db->assignStr("shipping_city", $shipping_address["city"][0]);
			$db->assignStr("shipping_zip", $shipping_address["postal-code"][0]);
			$db->assignStr("shipping_province", $province_name);
			$db->assignStr("shipping_state", $state_id);
			$db->assignStr("shipping_country", $country_id);
			$db->update(DB_PREFIX."orders", "WHERE oid='".$order_id."' AND order_num='".$order_num."'");

			//5 - store bayer Billing info
			//5.1 - get country id
			$db->query("SELECT coid FROM ".DB_PREFIX."countries WHERE iso_a2='".$db->escape($parsed_result["new-order-notification"][0]["buyer-billing-address"][0]["country-code"][0])."'");
			$billing_country_id = $db->moveNext() ? $db->col["coid"] : 1;
			
			//5.2 - get state id
			$db->query("SELECT stid, name FROM ".DB_PREFIX."states WHERE coid='".$country_id."' AND short_name='".$db->escape($parsed_result["new-order-notification"][0]["buyer-billing-address"][0]["region"][0])."'");
			if($db->moveNext()){
				$billing_state_id = $db->col["stid"];
				$billing_province_name = $db->col["name"];
			}
			else{
				$billing_state_id = 0;
				$billing_province_name = $shipping_address["region"][0];
			}

			
			//5.3 - get user id and set billing info
			$db->query("SELECT uid FROM ".DB_PREFIX."orders WHERE oid ='".$order_id."'");
			if($db->moveNext()){
				$db->reset();
				$u_id = $db->col["uid"] ;				
				$billing_address = $parsed_result["new-order-notification"][0]["buyer-billing-address"][0];
				$contact_name = explode(" ", $billing_address["contact-name"][0]);
				$lname ="";
				for($i=1;$i<count($contact_name);$i++)
					$lname .= $contact_name[$i]." ";
				$db->assignStr("fname", $contact_name[0]); 
				$db->assignStr("lname", $lname);
				$db->assignStr("company", $billing_address["company-name"][0]);
				$db->assignStr("email", $billing_address["email"][0]);
				$db->assignStr("address1", $billing_address["address1"][0]);
				$db->assignStr("address2", $billing_address["address2"][0]);
				$db->assignStr("city", $billing_address["city"][0]);
				$db->assignStr("zip", $billing_address["postal-code"][0]);
				$db->assignStr("province", $billing_province_name);
				$db->assignStr("state", $billing_state_id);
				$db->assignStr("country", $billing_country_id);
				$db->assignStr("login", "GoogleCheckoutUser");		
				$db->update(DB_PREFIX."users", "WHERE uid ='".$u_id."' ");
			}
			
			//5.4 - display buyer-marketing-preferences in admin area
			$preferences = $parsed_result["new-order-notification"][0]["buyer-marketing-preferences"][0];
			foreach($preferences as $k => $v){
				if(is_array($v[0])) foreach($v[0] as $k1 => $v1){ $$preferences_data .= $k1 ."=>".$v1[0]."\n";}
				$preferences_data .= $k ."=>".$v[0]."\n";
			}
			$buyer_marketing_preferences = "buyer-marketing-preferences \n".$preferences_data;
			createTransaction($google_order_id,$buyer_marketing_preferences,0);	

		//	if($settings["InventoryStockUpdateAt"]=="Order Placed" && $financial_state == "REVIEWING"){
		//			stockControl($google_order_id); //process stock without payment
		//	}
			
			//5.5 - associate an order number with google order. 
			$order_number_xml = 
						'<?xml version="1.0" encoding="UTF-8"?>'.
						'<add-merchant-order-number xmlns="http://checkout.google.com/schema/2" google-order-number="'.$google_order_id.'">
						<merchant-order-number>'.$order_num.'</merchant-order-number></add-merchant-order-number>';
			$result = processRequest($order_number_xml);
			break;
		}
		
		case "order-state-change-notification" : {
			$fulfillment_state = $parsed_result["order-state-change-notification"][0]["new-fulfillment-order-state"][0];
			$financial_state = $parsed_result["order-state-change-notification"][0]["new-financial-order-state"][0];
			$google_order_number = $parsed_result["order-state-change-notification"][0]["google-order-number"][0];
			$timestamp = $parsed_result["order-state-change-notification"][0]["timestamp"][0];
			
			//------Update order status according to financial-order-state and fulfillment-order-state 
			$db->query("UPDATE ".DB_PREFIX."orders SET custom3='".$fulfillment_state."-".$financial_state."' WHERE custom1='".$google_order_number."'");
			//------Cancel order
			if($financial_state == "CANCELLED" or $financial_state == "CANCELLED_BY_GOOGLE"){
				//Update order payment status
				//$db->query("UPDATE ".DB_PREFIX."orders SET payment_status='Canceled',status='Canceled' WHERE custom1='".$google_order_number."'");	
				$db->query("UPDATE ".DB_PREFIX."orders SET status='Canceled' WHERE custom1='".$google_order_number."'");				
				$response = "Order Cancelled ".$timestamp;
				createTransaction($google_order_number,$response,0);				
			}
			// ----update stock 
			if($settings["InventoryStockUpdateAt"]=="Order Placed" && $financial_state == "CHARGEABLE"){
				stockControl($google_order_number); //process stock without payment
			}
			if($settings["InventoryStockUpdateAt"]=="Payment Received" && $financial_state == "CHARGED"){
					stockControl($google_order_number); //do not process stock without payment
			}
			//----kill the session for cart as processing is done
			if($settings["googlecheckout_Auth_Type"] != "Sale" && $financial_state == "CHARGEABLE"){				
				session_unregister("SessionID");
				session_unregister("UserID");
				session_unregister("OrderID");				
			}
			//------Charge order
			if($settings["googlecheckout_Auth_Type"] == "Sale" && $financial_state == "CHARGEABLE"){				
				$db->query("SELECT * FROM ".DB_PREFIX."orders WHERE custom1='".$google_order_number."'");
				if($db->moveNext()){
					//make charge order XML
					$charge_xml = 
						'<?xml version="1.0" encoding="UTF-8"?>'.
						'<charge-order xmlns="http://checkout.google.com/schema/2" google-order-number="'.$google_order_number.'"></charge-order>';
					$charge_result = processRequest($charge_xml);					
				}				
			}
			
			break;
		}
		
		case "risk-information-notification" : {
			$google_order_number = $parsed_result["risk-information-notification"][0]["google-order-number"][0];
			$risk_info = $parsed_result["risk-information-notification"][0]["risk-information"][0];
			$risk_data = "risk-information-notification \n ";
			foreach($risk_info as $k => $v){
				if(is_array($v[0])) foreach($v[0] as $k1 => $v1){ $risk_data .= $k1 ."=>".$v1[0]."\n";}
				$risk_data .= $k ."=>".$v[0]."\n";
			}
			createTransaction($google_order_number,$risk_data,0);				
			break;
		}
		
		case "charge-amount-notification" : {
			////////////////////////////////////
			//check amount	
			$google_order_number = $parsed_result["charge-amount-notification"][0]["google-order-number"][0];
			$total_charge_amount = $parsed_result["charge-amount-notification"][0]["total-charge-amount"][0];
			$currency = $parsed_result["charge-amount-notification"][0]["total-charge-amount@"][0]["currency"];
			$timestamp = $parsed_result["charge-amount-notification"][0]["timestamp"][0];
			$data = "Total charged amount ('".$currency."'): ".$total_charge_amount."\n Google staus for the order: ".$google_order_status." \n Timestamp: ".$timestamp;			
			createTransaction($google_order_number,$data,$total_charge_amount);
			//Update order payment status
			$db->reset();
			$db->assignStr("payment_status", "Received");
			$db->update(DB_PREFIX."orders", "WHERE custom1='".$google_order_number."'");
						
			//----kill the session for cart
			session_unregister("SessionID");
			session_unregister("UserID");
			session_unregister("OrderID");

			break;
		}
		case "refund-amount-notification" : {
			$google_order_number = $parsed_result["refund-amount-notification"][0]["google-order-number"][0];
			$latest_refund = $parsed_result["refund-amount-notification"][0]["latest-refund-amount"][0];
			$total_refund = $parsed_result["refund-amount-notification"][0]["total-refund-amount"][0];
			$currency = $parsed_result["refund-amount-notification"][0]["total-refund-amount@"][0]["currency"];
			$timestamp = $parsed_result["refund-amount-notification"][0]["timestamp"][0];
			$data = "Latest Refund amout ".$latest_refund ."\n Total Refund amount ('".$currency."'): ".$total_refund ."\n Notification timestamp: ".$timestamp;
			
			createTransaction($google_order_number,$data,$latest_refund );	
			
			$db->query("SELECT total_amount FROM ".DB_PREFIX."orders WHERE custom1='".$google_order_number."'");
			if($db->moveNext()){ $total_amount =  $db->col["total_amount"]; }
			if($total_amount == $total_refund){
			//Update order payment status
				$db->reset();
				$db->assignStr("payment_status", "Refunded");
				$db->update(DB_PREFIX."orders", "WHERE custom1='".$google_order_number."'");
			}			
			break;
		}
		
	}
	
    //-----------------------------------------functions-------------------------------
    function processRequest($xml_data){
    	global $settings;
					
					//send request
					if($settings["googlecheckout_mode"] == "Test"){
						$c = curl_init("https://sandbox.google.com/checkout/api/checkout/v2/request/Merchant/".$settings["googlecheckout_Merchant_ID"]);
					}
					else{
						$c = curl_init("https://checkout.google.com/api/checkout/v2/request/Merchant/".$settings["googlecheckout_Merchant_ID"]);
					}
					if($settings["ProxyAvailable"] == "YES"){
						//curl_setopt($c, CURLOPT_VERBOSE, 1);
						if(defined("CURLOPT_PROXYTYPE") && defined("CURLPROXY_HTTP") && defined("CURLPROXY_SOCKS5")){
							curl_setopt($c, CURLOPT_PROXYTYPE, $settings["ProxyType"] == "HTTP" ? CURLPROXY_HTTP : CURLPROXY_SOCKS5);
						}
						curl_setopt($c, CURLOPT_PROXY, $settings["ProxyAddress"].":".$settings["ProxyPort"]);
						if($settings["ProxyRequiresAuthorization"] == "YES"){
							curl_setopt($c, CURLOPT_PROXYUSERPWD, $settings["ProxyUsername"].":".$settings["ProxyPassword"]);
						}

						curl_setopt($c, CURLOPT_TIMEOUT, 120);
					}
								
					//prepare header with auth info
					$header = array(
						"Authorization: Basic ".base64_encode($settings["googlecheckout_Merchant_ID"].":".$settings["googlecheckout_Merchant_Key"]),
						"Content-Type: application/xml",
						"Accept: application/xml"
					);
					curl_setopt($c, CURLOPT_HTTPHEADER, $header);
					curl_setopt($c, CURLOPT_POSTFIELDS, $xml_data);
					curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
				
					curl_setopt($c, CURLOPT_SSL_VERIFYPEER, 1);
					curl_setopt($c, CURLOPT_CAPATH, $settings['GlobalServerPath'].$settings['SecuritySslDirectory']);
					curl_setopt($c, CURLOPT_CAINFO, $settings['GlobalServerPath'].$settings['SecuritySslDirectory'].'/'.$settings['SecuritySslPem']);
					$xml_result = curl_exec($c);
					return($xml_result);
    }
	
	function createTransaction($google_order_number , $response, $amount=0){
		global $db;		
	
		$db->query("SELECT * FROM ".DB_PREFIX."orders WHERE custom1='".$google_order_number."'");
			if($db->moveNext()){ 
				$subtotal_amount = $db->col["subtotal_amount"]; 
				$tax_amount = $db->col["tax_amount"];
				$shipping_amount = $db->col["shipping_amount"]; 
				$total_amount =  $amount > 0?$amount:$db->col["total_amount"];
				$o_id = $db->col["oid"];
				$u_id = $db->col["uid"];

				// Create transaction function
				$db->reset();
				$db->assign("oid", $o_id);
				$db->assign("uid", $u_id);		
				$db->assign("completed", "NOW()");
				$db->assignStr("extra", $extra);
		
				$db->assignStr("payment_type", "ipn"); 
				$db->assignStr("payment_gateway", "googlecheckout (Google Checkout)");
				$db->assignStr("payment_response", $response ); 
				
				$db->assignStr("order_subtotal_amount", $subtotal_amount);
				$db->assignStr("order_total_amount", $total_amount);
		
				$db->assignStr("shipping_method", "");
				$db->assignStr("shipping_submethod", "");
				$db->assignStr("shipping_amount", $shipping_amount);
			
				$db->assignStr("tax_amount", $tax_amount);			
				$db->insert(DB_PREFIX."payment_transactions");
				//end of createTransaction							
				
			}
	}
	
	function stockControl($google_order_number){
		global $db;
		$db->query("SELECT oid FROM ".DB_PREFIX."orders WHERE custom1='".$google_order_number."'");
			if($db->moveNext()){ 
			$oid = $db->col["oid"];
			// select orders products with allowed stock control from database
			$db->query("
				SELECT ".DB_PREFIX."orders_content.*,
					".DB_PREFIX."products.stock,
					".DB_PREFIX."products.stock_warning,
					".DB_PREFIX."products.min_order,
					".DB_PREFIX."products.max_order,
					".DB_PREFIX."products.inventory_rule
				FROM ".DB_PREFIX."orders_content 
				LEFT JOIN ".DB_PREFIX."products ON 
					".DB_PREFIX."products.pid = ".DB_PREFIX."orders_content.pid AND
					(".DB_PREFIX."products.inventory_control = 'Yes' OR ".DB_PREFIX."products.inventory_control = 'AttrRuleExc' OR ".DB_PREFIX."products.inventory_control = 'AttrRuleInc')
				WHERE 
					".DB_PREFIX."orders_content.oid='".$oid."'
			");
			// store products in temporary array
			$products = array();
			while($db->moveNext()){
				$products[$db->col["ocid"]] = array(
					"stock"=>$db->col["stock"], 
					"stock_warning"=>$db->col["stock_warning"],
					"pid"=>$db->col["pid"],
					"quantity"=>$db->col["quantity"],
					"min_order"=>$db->col["min_order"],
					"inventory_id"=>$db->col["inventory_id"],
					"inventory_rule"=>$db->col["inventory_rule"]
				);
			}
			// update stock for products

			reset($products);
			foreach($products as $ocid=>$product){
				$inventory_id = $product["inventory_id"];
				//////////////////////////////////////////////////
				// stock on attribute level
				if($inventory_id > 0){
					$db->query("SELECT * FROM ".DB_PREFIX."products_inventory WHERE pi_id='".$inventory_id."'");
					if($db->moveNext()){
						$new_attr_stock = $db->col["stock"] - $product["quantity"];
						if($new_attr_stock <= $db->col["stock_warning"]){
							//$db->assignStr("is_active", "0");
							//emailOutOfStock($db, $product["pid"], $inventory_id, $smarty);
						}			
					    $db->reset();
						$db->assignStr("stock", $new_attr_stock);
						$db->update(DB_PREFIX."products_inventory", "WHERE pid='".$product["pid"]."' AND pi_id='".$inventory_id."'");
						$db->reset();
						$db->query("UPDATE ".DB_PREFIX."products SET stock = stock-".$product["quantity"]." WHERE pid='".$product["pid"]."' ");
					}
				}else{						
					// stock on product level
					$new_stock = $product["stock"] - $product["quantity"];
					if(($new_stock <= $product["stock_warning"]) || (($product["min_order"]>0) && ($new_stock < $product["min_order"]))){
						$db->reset();
						$db->assign("stock", $new_stock);
						$db->update(DB_PREFIX."products", "WHERE pid = '".$product["pid"]."'");
						//emailOutOfStock($db, $product["pid"], 0, $smarty);
					}
					else{
						$db->reset();
						$db->assign("stock", $new_stock);
						$db->update(DB_PREFIX."products", "WHERE pid = '".$product["pid"]."'");
					}
				}
				$db->reset();
				$db->assignStr("is_stock_changed", "Yes");
				$db->update(DB_PREFIX."orders_content", "WHERE ocid='".$ocid."'");
			}
			}
		}
	//---------------------------------------end of function list-----------------------	
	$db->done();
