<?php
/**
 * Set shipping method
 */

if (!defined("ENV")) exit();

if ($order->itemsCount > 0)
{

	$r = getShippingQuotes($db, $user, $order);
	
	view()->assign("shipping_is_free", $order->shippingIsFree);
	
	if ($settings["ShippingCalcEnabled"] != "YES" || ($order->shippingCarrierID == "custom" && $order->shippingMethodID == "free"))
	{
		$next_step = "shipping_method";
		$order->closeShipping();
	}
	else
	{
		$next_step = "shipping_method";
	}
	
	view()->assign("show_continue_button", $r["shipping_methods_count"] > 0 || $r["shipping_price_at_product_level"] > 0 || $settings["ShippingWithoutMethod"] == "YES");
	view()->assign("body", "templates/pages/checkout/shipping-method.html");
}
else
{
	header("Location: ".$url_dinamic."p=cart");
}
